const { config } = require('./common')

const { apiPrefix } = config;
let database = [
  {
    "icon": "setting",
    "id": "12",
    "name": "采购计划管理",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "solution",
    "id": "13",
    "name": "采购计划列表",
    "parentId": "12",
    "url": ""
  },
  {
    "icon": "user",
    "id": "14",
    "name": "供货数量提报列表",
    "parentId": "12",
    "permissionName":"purchase:authorize:supply",
    "url": "/purchase/supplylist"
  },
  {
    "icon": "setting",
    "id": "15",
    "name": "采购订单管理",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "solution",
    "id": "16",
    "name": "采购订单列表",
    "parentId": "15",
    "url": ""
  },
  //供应商用
  {
    "icon": "user",
    "id": "17",
    "name": "发货录入快递单号",
    "parentId": "15",
    "permissionName":"sys:authorize:user",
    "url": "/sys/authorize/user"
  },
  {
    "icon": "user",
    "id": "18",
    "name": "订单入库状态查询",
    "parentId": "15",
    "permissionName":"sys:authorize:user",
    "url": "/sys/authorize/user"
  },
  
  {
    "icon": "user",
    "id": "19",
    "name": "退货，拒收明细查询",
    "parentId": "15",
    "permissionName":"sys:authorize:user",
    "url": "/sys/authorize/user"
  },
  /*{
    "icon": "setting",
    "id": "20",
    "name": "拒收明细查询",
    "parentId": "15",
    "url": ""
  },*/
  
  //供应商用
  {
    "icon": "setting",
    "id": "20",
    "name": "新品提交",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "21",
    "name": "有编码新品提交",
    "parentId": "20",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "22",
    "name": "无编码新品提交",
    "parentId": "20",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "23",
    "name": "采购新品查看",
    "parentId": "20",
    "url": ""
  },
  
  {
    "icon": "setting",
    "id": "24",
    "name": "发票管理",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "25",
    "name": "邮寄录入快递单",
    "parentId": "24",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "26",
    "name": "签收状态查询",
    "parentId": "24",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "56",
    "name": "发票查询",
    "parentId": "24",
    "url": "/finance/bird-invioce"
  },
  
  {
    "icon": "setting",
    "id": "28",
    "name": "回款查询",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "29",
    "name": "回款日期查询",
    "parentId": "28",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "30",
    "name": "付款申请提交",
    "parentId": "28",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "31",
    "name": "到期回款提示",
    "parentId": "28",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "32",
    "name": "到期回款提示",
    "parentId": "28",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "33",
    "name": "回款状态查询",
    "parentId": "28",
    "url": ""
  },
  
  {
    "icon": "setting",
    "id": "34",
    "name": "库存查询",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "solution",
    "id": "35",
    "name": "查询挂靠库存",
    "parentId": "34",
    "url": "/stock/bird-stock"
  },
  
  {
    "icon": "setting",
    "id": "36",
    "name": "批件管理",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "37",
    "name": "上传首营资料（供应商，品种）",
    "parentId": "36",
    "url": ""
  },
  {
    "icon": "setting",
    "id": "38",
    "name": "首营资料下载",
    "parentId": "36",
    "url": ""
  },

  
  {
    "icon": "user",
    "id": "39",
    "name": "账户管理",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "solution",
    "id": "40",
    "name": "开通新供应商账户",
    "parentId": "39",
    "permissionName":"sys:authorize:user",
    "url": "/user/bird-supplierform"
  },
  {
    "icon": "solution",
    "id": "41",
    "name": "供应商账户列表",
    "parentId": "39",
    "permissionName":"sys:authorize:user",
    "url": "/user/bird-supplier"
  },
  
  {
    "icon": "solution",
    "id": "45",
    "name": "开通新内部账户",
    "parentId": "39",
    "permissionName":"sys:authorize:user",
    "url": "/user/bird-userform"
  },
  {
    "icon": "solution",
    "id": "46",
    "name": "内部账户列表",
    "parentId": "39",
    "url": "/user/bird-user"
  },
  //供应商用 start
  {
    "icon": "setting",
    "id": "42",
    "name": "采购需求管理",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "solution",
    "id": "43",
    "name": "采购需求列表",
    "parentId": "42",
    "url": ""
  },
  {
    "icon": "user",
    "id": "44",
    "name": "供货数量提报",
    "parentId": "42",
    "permissionName":"sys:authorize:user",
    "url": "/supply/supply-submit"
  },
  //供应商用 end

  {
    "icon": "setting",
    "id": "1",
    "name": "系统管理",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "solution",
    "id": "2",
    "name": "权限管理",
    "parentId": "1",
    "url": "/auth/bird-permission"
  },
  {
    "icon": "user",
    "id": "3",
    "name": "用户管理",
    "parentId": "2",
    "permissionName":"sys:authorize:user",
    "url": "/sys/authorize/user"
  },
  {
    "icon": "share-alt",
    "id": "4",
    "name": "示例",
    "parentId": "0",
    "url": ""
  },
  {
    "icon": "share-alt",
    "id": "5",
    "name": "bird-grid示例",
    "parentId": "4",
    "permissionName":"",
    "url": "/demo/bird-grid"
  },
  {
    "icon": "share-alt",
    "id": "6",
    "name": "bird-selector示例",
    "parentId": "4",
    "permissionName":"",
    "url": "/demo/bird-selector"
  },
  {
    "icon": "share-alt",
    "id": "7",
    "name": "bird-multi示例",
    "parentId": "4",
    "permissionName":"",
    "url": "/demo/bird-multi"
  },
  {
    "icon": "share-alt",
    "id": "8",
    "name": "bird-cascader示例",
    "parentId": "4",
    "permissionName":"",
    "url": "/demo/bird-cascader"
  },
  {
    "icon": "share-alt",
    "id": "9",
    "name": "bird-form示例",
    "parentId": "4",
    "permissionName":"",
    "url": "/demo/bird-form"
  },
  {
    "icon": "share-alt",
    "id": "10",
    "name": "bird-tree示例",
    "parentId": "4",
    "permissionName":"",
    "url": "/demo/bird-tree"
  },
  {
    "icon": "share-alt",
    "id": "11",
    "name": "bird-button示例",
    "parentId": "4",
    "permissionName":"",
    "url": "/demo/bird-button"
  }
]

export default  {

    [`GET ${apiPrefix}/menus`] (req, res) {
        res.status(200).json(database)
    },
}
