import React from 'react';
import { Col, Button, Row } from 'antd';

class DetailHeader extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            buttons: [] // {label:, icon:, type:, onClick:}
        }
    }

    render() {
        let buttonjxs = this.props.buttons.map((bs) => {
            let btnjxs = (
                <Button style={{marginRight:"8px"}} key={bs.label} type={bs.type} icon={bs.icon} onClick={bs.onClick} >{bs.label}</Button>
            );
            return btnjxs;
        });
        if(buttonjxs == []) {
            buttonjxs = "";
        }
        let extNode = this.props.extNode;
        if(extNode){
            return (
                <div>
                    {buttonjxs}
                    {extNode}
                </div>
            );
        } else {
            return (
                <div>
                    {buttonjxs}
                </div>
            );
        }
    }
}

export default DetailHeader