import React from 'react'
import PropTypes from 'prop-types'
import { Menu, Icon } from 'antd';
import { Link } from 'react-router-dom'

const { SubMenu }  = Menu;

class TopMenus extends React.Component {
    constructor(props) {
        super(props);
        let menus = this.props.menus || [];
        let current = this.props.current;
        let onClick = this.props.onClick;
        this.state = {
            current: current?current:[],
            menus:menus,
            onClick:onClick
        };
    }
    
    onOpenChange = openKeys => {
    }

    handleClick = e => {
        console.log('click ', e);
        // this.setState({
        //   current: [e.key],
        // });
        e.domEvent.preventDefault();e.domEvent.stopPropagation(); 
        let keys = [];
        keys.push(e.key.replace("headtMenu_",""));
        this.props.onClick && this.props.onClick(keys);
    };

    onSelect = ({key}) => {
    }
      
    componentWillReceiveProps(nextProps) {
      let current = nextProps.current;
      let menus = nextProps.menus;
      menus = nextProps.menus || [];
      let onClick = nextProps.onClick;
      this.setState({current:current,menus:menus,onClick:onClick});
    }

    render() {
      self = this;
        return (
        //  <Menu onClick={this.handleClick} selectedKeys={[this.state.current]} mode="horizontal"
        //  >
        //     <Menu.Item key="mail">
        //       <Icon type="mail" />
        //       Navigation One
        //     </Menu.Item>
        //     <Menu.Item key="app" disabled>
        //       <Icon type="appstore" />
        //       Navigation Two
        //     </Menu.Item>
        //     <Menu.Item key="app1" disabled>
        //       <Icon type="appstore" />
        //       Navigation Two
        //     </Menu.Item>
        //     <Menu.Item key="app2" disabled>
        //       <Icon type="appstore" />
        //       Navigation Two
        //     </Menu.Item>
        //     <SubMenu
        //       title={
        //         <span className="submenu-title-wrapper">
        //           <Icon type="setting" />
        //           Navigation Three - Submenu
        //         </span>
        //       }
        //     >
        //       <Menu.ItemGroup title="Item 1">
        //         <Menu.Item key="setting:1">Option 1</Menu.Item>
        //         <Menu.Item key="setting:2">Option 2</Menu.Item>
        //       </Menu.ItemGroup>
        //       <Menu.ItemGroup title="Item 2">
        //         <Menu.Item key="setting:3">Option 3</Menu.Item>
        //         <Menu.Item key="setting:4">Option 4</Menu.Item>
        //       </Menu.ItemGroup>
        //     </SubMenu>
        //     <Menu.Item key="alipay">
        //       <a href="https://ant.design" target="_blank" rel="noopener noreferrer">
        //         Navigation Four - Link
        //       </a>
        //     </Menu.Item>
        //   </Menu>
        <Menu onClick={this.handleClick} mode="horizontal"
              theme="light"
              selectedKeys={this.state.current}
              onOpenChange={this.onOpenChange}
              onSelect={this.onSelect}
            >
              {
                self.state.menus.map(childMenu => (
                       <Menu.Item key={'headtMenu_' + childMenu.id}>
                         {/* Link 改为 a标签 禁止直接跳转 在onClick中跳转 */}
                          <a to={childMenu.url!=undefined&&childMenu.url!=null&&childMenu.url?childMenu.url:""} 
                            className={childMenu.linkclass!=undefined&&childMenu.linkclass?childMenu.linkclass:''} >
                            <Icon type={childMenu.icon} style={{ fontSize: 16 }} />
                            <span>{childMenu.name}</span>
                          </a>
                        </Menu.Item>
                ))}
            </Menu>
        );
    }
}

TopMenus.propTypes = {
    current: PropTypes.array.isRequired
  }
  
  TopMenus.defaultProps = {
    current: [],
  }
export default TopMenus;