import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridRolePage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "功能列表",
      url: {
        read: "/web/CM_Permission/index",
        add: "/web/CM_Permission/add",
        edit: "/web/CM_Permission/edit",
        delete: "/web/CM_Permission/delete"
      },
      checkable: true,
      columns: [
        { title: "功能id", data: "ModuleId", type: "text" ,hide:true},
        { title: "父功能id", data: "ParentModuleId", type: "text", editor: {}, query: true, isRequired: true },
        { title: "功能code", data: "ModuleCode", type: "text", editor: {}, query: true, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridRolePage
