import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridCM_RoleRelatePermissionPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "角色功能管理",
      url: {
        read: "/web/CM_RoleRelatePermission/index",
        add: "/web/CM_RoleRelatePermission/add",
        edit: "/web/CM_RoleRelatePermission/edit",
        delete: "/web/CM_RoleRelatePermission/delete"
      },
      checkable: true,
      columns: [
        { title: "角色功能id", data: "RoleModuleId", type: "text" ,hide:true},
        { title: "角色id", data: "RoleId", type: "text", editor: {}, query: true, isRequired: true },
        { title: "功能id", data: "ModuleId", type: "text", editor: {}, query: true, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridCM_RoleRelatePermissionPage
