import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridCM_RolePage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "角色管理",
      url: {
        read: "/web/CM_Role/index",
        add: "/web/CM_Role/add",
        edit: "/web/CM_Role/edit",
        delete: "/web/CM_Role/delete"
      },
      checkable: true,
      columns: [
        { title: "角色id", data: "RoleId", type: "text" ,hide:true},
        { title: "角色编码", data: "RoleCode", type: "text", editor: {}, query: true, isRequired: true },
        { title: "角色名称", data: "RoleName", type: "text", editor: {}, query: true, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridCM_RolePage
