import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridMem_AreaRegionPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "区域列表",
      url: {
        read: "/web/Mem_AreaRegion/index",
        add: "/web/Mem_AreaRegion/add",
        edit: "/web/Mem_AreaRegion/edit",
        delete: "/web/Mem_AreaRegion/delete"
      },
      //checkable: true,
      columns: [
        { title: "地区编号", data: "AreaCode", type: "text"},
        { title: "地区名称", data: "AreaName", type: "text", editor: {}, query: true, isRequired: true },
        { title: "上级地区", data: "ParentName", type: "text", editor: {}, query: true, isRequired: true},
        // {
        //   title: "操作选项", type: "command", actions: []
        // }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridMem_AreaRegionPage
