import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridMem_TerminaldocPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "平台终端列表",
      url: {
        read: "/web/Mem_Terminaldoc/index",
        add: "/web/Mem_Terminaldoc/add",
        edit: "/web/Mem_Terminaldoc/edit",
        delete: "/web/Mem_Terminaldoc/delete"
      },
      checkable: true,
      columns: [
        { title: "ID", data: "TerminalKey", type: "text" ,hide:true},
        { title: "平台名称", data: "TerminalName", type: "text", editor: {}, query: true, isRequired: true },
        { title: "SortKParentTerminalKeyey", data: "ParentTerminalKey", type: "text", editor: {}, query: true, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridMem_TerminaldocPage
