import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridOrgRolePage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "机构角色关联",
      url: {
        read: "/web/OrgRole/index",
        add: "/web/OrgRole/add",
        edit: "/web/OrgRole/edit",
        delete: "/web/OrgRole/delete"
      },
      primaryKey:"OrgRoleId",
      checkable: true,
      columns: [
        //{ title: "主键id", data: "OrgRoleId", type: "text" , editor: {}, query: true,hide:true},
        { title: "主键id", data: "OrgRoleId", type: "text" ,hide:true},
        //{ title: "组织id", data: "OrgId", type: "text",hide:true},
        //{ title: "角色id", data: "RoleId", type: "text",hide:true },
        //{ title: "父权限编码", data: "FullCode", type: "dropdown", editor: {},source: { url: '/web/org/parents' },  query: true },
        { title: "组织名称", data: "OrgId", type: "dropdown", editor: {},source: { url: '/web/OrgRole/Orgs' }, query: true},
        { title: "角色名称", data: "RoleId", type: "dropdown", editor: {},source: { url: '/web/OrgRole/Roles' }, query: true},
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridOrgRolePage
  