import { routerRedux } from 'dva/router'
import { message,notification} from 'antd';

export default {
  namespace: 'auth',

  state: {
    menuPathId:'',
    loading: false,
    count: 0
  },
  subscriptions:{
    // 订阅监听，比如我们监听路由，进入页面就如何，可以在这写
// 　　setup ({ dispatch, history, query }) {
//        history.listen(async ({ pathname, search, query}) => {
// 　　　　　　if (pathname.indexOf("/auth/") > 0 ) {// 当进入testdemo这路由，就会触发fetchUser方法
// 　　　　　　　　dispatch({ type: "panel" });
// 　　　　　　}
// 　　　  }) 
//     }
  },
  effects: {
    * panel({
      payload
    }, { put, call, select }) {
      const { menuPath } = yield select(_ => _.app)
      let menuPathIdStr = '';
      if(menuPath && menuPath.length>0) menuPathIdStr = menuPath[0].id;
      yield put({ type: 'menuPath', payload: {
        menuPathId:menuPathIdStr,menuPath:menuPath } });
    },
    *'fetch'(action, {put, call}) {
      yield put({type: 'request', loading: true});

      let count = yield call((count) => {
        return new Promise(resolve => {
          //setTimeout(() => {
            resolve(count + 1);
          //}, 1000);
        });
      }, action.count);

      yield put({
        type: 'response',
        loading: false,
        count
      });
    }
  },
  reducers: {
    menuPath(state, { payload }) {
      return {
        ...state,
        ...payload,
      }
    },
    request(state, payload) {
      return {...state, ...payload};
    },
    response(state, payload) {
      return {...state, ...payload};
    }
  }

}
