import React from 'react';
import ReactEcharts from 'echarts-for-react';
import {Layout,Row,Col} from 'antd';
import Panel from 'components/Panel';
import Icon from 'components/Icon';
import classNames from 'classnames';
//import DataSet from '@antv/data-set';

import { connect } from 'dva';
require('echarts/map/js/china.js');
import {
  request,
  config,
  util,
  permission
} from 'utils';
import './index.less';
import styles from './index.less';
import IndexPage from '../indexManager/indexPage';
const { Content } = Layout;
const {
  APIV3
} = config;


const rankingListData = [];
for (let i = 0; i < 7; i += 1) {
  rankingListData.push({
    title: `亮健 ${i} 号店`,
    total: 323234
  });
}


// class BirdGridPermissionPage extends React.Component {
//   constructor(props) {
//     super(props)
//     this.state = {
//       option: {},
//       optionMemProv:{},
//     }
//     this.onChartClick=this.onChartClick.bind(this);
//   }
  

//   componentWillMount() {
//     let o = this;
//     let op  = {
//       tooltip: {
//           trigger: 'item',
//           formatter: "{a} <br/>{b}: {c} ({d}%)"
//       },
//       legend: {
//           orient: 'vertical',
//           x: 'left',
//           data:[]
//       },
//       series: [
//           {
//               name:'产品分类统计',
//               type:'pie',
//               radius: ['25%', '60%'],
//               avoidLabelOverlap: false,
//               label: {
//                   normal: {
//                       show: false,
//                       position: 'center'
//                   },
//                   emphasis: {
//                       show: true,
//                       textStyle: {
//                           fontSize: '22',
//                           fontWeight: 'bold'
//                       }
//                   }
//               },
//               labelLine: {
//                   normal: {
//                       show: false
//                   }
//               },
//               data:[
//               ]
//           }
//       ]
//   };


//     request({
//       url: APIV3 + '/web/value/productClass',
//       method: "post"
//     }).then((resp) => {
//       let arr = [];
//       let arr_legtitle = [];
//       for(var i =0; i< resp.length;i++){

//         arr.push({
//           value: resp[i][1],
//           name: resp[i][0]
//         });
//         arr_legtitle.push(resp[i][0]);
//       }
//       op.series[0].data = arr.sort(function (a, b) {
//         return a.value - b.value;
//       });
//       op.legend.data = arr_legtitle;
//       //console.log(op)
//       o.setState({
//         option: op
//       })
//     });

//     let opMemProv = {
//       title: {
//         text: '各省用户',
//         subtext: '',
//         left: 'center'
//       },
//       tooltip: {
//         trigger: 'item'
//       },
//       legend: {
//         orient: 'vertical',
//         left: 'left',
//         data:['member']
//       },
//       visualMap: {
//         min: 0,
//         max: 1500000,
//         left: 'left',
//         top: 'bottom',
//         text: ['高','低'],       // 文本，默认为数值文本
//         calculable: true
//       },
//       toolbox: {
//         show: true,
//         orient: 'vertical',
//         left: 'right',
//         top: 'center',
//         feature: {
//           dataView: {readOnly: false},
//           restore: {},
//           saveAsImage: {}
//         }
//       },
//       series: [
//         {
//           name: 'member',
//           type: 'map',
//           mapType: 'china',
//           roam: false,
//           label: {
//             normal: {
//               show: true
//             },
//             emphasis: {
//               show: true
//             }
//           },
//           data:[
//             {name: '北京',value: 0 },
//             {name: '天津',value: 0 },
//             {name: '上海',value: 0 },
//             {name: '重庆',value: 0 },
//             {name: '河北',value: 0 },
//             {name: '河南',value: 0 },
//             {name: '云南',value: 0 },
//             {name: '辽宁',value: 0 },
//             {name: '黑龙江',value: 0 },
//             {name: '湖南',value: 0 },
//             {name: '安徽',value: 0 },
//             {name: '山东',value: 0 },
//             {name: '新疆',value: 0 },
//             {name: '江苏',value: 0 },
//             {name: '浙江',value: 0 },
//             {name: '江西',value: 0 },
//             {name: '湖北',value: 0 },
//             {name: '广西',value: 0 },
//             {name: '甘肃',value: 0 },
//             {name: '山西',value: 0 },
//             {name: '内蒙古',value: 0 },
//             {name: '陕西',value: 0 },
//             {name: '吉林',value: 0 },
//             {name: '福建',value: 0 },
//             {name: '贵州',value: 0 },
//             {name: '广东',value: 0 },
//             {name: '青海',value: 0 },
//             {name: '西藏',value: 0 },
//             {name: '四川',value: 0 },
//             {name: '宁夏',value: 0 },
//             {name: '海南',value: 0 },
//             {name: '台湾',value: 0 },
//             {name: '香港',value: 0 },
//             {name: '澳门',value: 0 }
//           ]
//         }]
//     };
//     request({
//       url: APIV3 + '/web/value/memberProvince',
//       method: "post"
//     }).then((resp) => {
//       let arr = [];
//       for(var i =0; i< resp.length;i++){
//         arr.push( {
//           name: resp[i][0],
//           value: resp[i][1]
//         });
//       }
//       opMemProv.series[0].data = arr.sort(function (a, b) {
//         return a.value - b.value;
//       })
//       opMemProv.visualMap.max = opMemProv.series[0].data[arr.length-1].value;
//       //console.log(op)
//       o.setState({
//         optionMemProv:opMemProv
//       })
//     });
//   }


//   getOption() {
//     const option = this.state.option
//     return option;
//   }
//   getOptionMemProv(){
   
//     const option = this.state.optionMemProv;
//     return option;
//   }

//   onChartClick(arg) {
//         switch (arg.data.name) {
//           case '已填写':
//             this.props.history.push('/product/');
//             break;
//           case '未填写':
//             this.props.history.push('/product/pushrecord');
//             break;
//           case '低于需求数量':
//             this.props.history.push('/pushrecord/pushrecordconfirm');
//             break;
//           case '生成采购计划':
//             this.props.history.push('/pushrecord/pushrecordhasplan');
//             break;
//           case '生成订单':
//             this.props.history.push('/pushrecord/pushrecordhasorder');
//             break;
//         }
//   }
//   render() {//full-layout page
    
//     const { dashboard } = this.props;
    

//     let onEvents = {
//       'click': this.onChartClick
//     }
//     return (
//       <Layout className="full-layout page dashboard-page">
//         <Content>
//           <Row gutter={20}>
//             <Col md={6}>
//               <Panel className="qq" header={false} cover>
//                 <Icon type="qq" antd />
//                 <h2>
//                   <b>523</b>
//                 </h2>
//                 <h5 className="text-muted">官网</h5>
//               </Panel>
//             </Col>
//             <Col md={6}>
//               <Panel className="wechat" header={false} cover>
//                 <Icon type="wechat" antd />
//                 <h2>
//                   <b>99+</b>
//                 </h2>
//                 <h5 className="text-muted">微信</h5>
//               </Panel>
//             </Col>
//             <Col md={6}>
//               <Panel className="skype" header={false} cover>
//                 <Icon type="skype" antd />
//                 <h2>
//                   <b>2</b>
//                 </h2>
//                 <h5 className="text-muted">天猫</h5>
//               </Panel>
//             </Col>
//             <Col md={6}>
//               <Panel className="github" header={false} cover>
//                 <Icon type="github" antd />
//                 <h2>
//                   <b>999</b>
//                 </h2>
//                 <h5 className="text-muted">京东</h5>
//               </Panel>
//             </Col>
//           </Row>
//           <Row>
//             <Col>
//               <Panel title="数据面板组件" height={600} >
//                 <div className="flex">
//                   <div className="flex-auto-hidden flex flex-column">
//                     <h4 className="flex-none">用户分布</h4>
//                     <div className="flex-auto-hidden">
                       
//                         <ReactEcharts
//             option={this.getOptionMemProv()}
//             style={{height: '500px', width: '100%'}}
//             className='react_for_echarts' />}
//                     </div>
//                   </div>
//                   <div className="flex-none sales-order">
//                     <h4>门店销售额排名</h4>
//                     <ul>
//                       {rankingListData.map((item, i) => (
//                         <li key={item.title}>
//                           <span>{i + 1}</span>
//                           <span>{item.title}</span>
//                           <span>{item.total}</span>
//                         </li>
//                       ))}
//                     </ul>
//                   </div>
//                 </div>
//               </Panel>
//             </Col>
//           </Row>
//           <Row gutter={20}>
//           <Col md={8}>
//           <Panel title="各分类产品数量" height={300}>
//           <ReactEcharts option = {
//             this.getOption()
//             }
//             onEvents = {
//               onEvents
//             }
//             style = {
//             {
//               width: '100%',height:'100%'
//             }
//           }
//           />
//           </Panel>
//           </Col>
//             <Col md={8}>
//               <Panel title="饼图" height={300}>
//               </Panel>
//             </Col>
//             <Col md={8}>
//               <Panel title="柱状图" height={300}>
//               </Panel>
//             </Col>
//           </Row>
//     </Content>
//     </Layout>
//     )
//   }
// }

//这里直接导出IndexPage
export default IndexPage
//这是原来的首页代码，现在不导出，直接导出IndexPage
// export default BirdGridPermissionPage
// export default connect(mapStateToProps, mapDispatchToProps)(BirdGridPermissionPage)