import React from 'react';
import GridLayout from 'react-grid-layout';
import LayoutBox from '../../components/DynamicLayout/LayoutBox';
import LayoutWindow from '../../components/DynamicLayout/LayoutWindow';
import { Row, Col } from 'antd';


export default class IndexManager extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            search: props.location.search
        }
    }

    render() {
        let href = this.state.search === "" ? "/indexManager/indexPage" : "/indexManager/indexPage" + this.state.search;
        return (
            <div>
                <LayoutWindow query={this.state.search} title="工作站" active={true} />
                
                {/* 底部留空用的 */}
                <div style={{height:"100px",width:"100%",backgroundColor:"rgb(240, 242, 245)"}}>
                    <Row style={{marginTop:"60px"}}>
                        <Col span={2} offset={11}>
                            <a href={href}>跳转到展示</a>
                        </Col>
                    </Row>
                </div>
            </div>
        );
    }
}