import React from 'react';
import { BirdGrid } from 'components/Grid';
import { routerRedux } from 'dva/router'
import { config,request,util } from 'utils'
import { jrequest } from 'utils/request';
import { connect } from 'dva';
import {Modal,
  message,
  DatePicker
} from 'antd';
const { APIV4 } = config
class tag_setting extends React.Component {
  constructor(props) {
    super(props)
    console.log(props)

    this.state = {
      formConfirmLoading:false,
      formVisiable:false,
      getdDisdatas:[]
    }
  }

  onClose(){

  }
  //获取规则数据
  componentDidMount(){ 
    let self=this;
 }
  render() {
    let self = this;
    let database = [
      {
        "label": "实物商品",
        "value": "1",
        "disabled": false
      },
      {
        "label": "虚拟商品",
        "value": "2",
        "disabled": false
      }
    ];

    
    let databasev2 = [
      {
        "label": "待支付",
        "value": "1",
        "disabled": false
      },
      {
        "label": "待审核",
        "value": "2",
        "disabled": false
      },
      {
        "label": "待发货",
        "value": "3",
        "disabled": false
      },
      {
        "label": "无需支付",
        "value": "4",
        "disabled": false
      },{
        "label": "已完成",
        "value": "5",
        "disabled": false
      },{
        "label": "取消订单",
        "value": "6",
        "disabled": false
      }
    ];
    let gridOption = {
      title: "订单列表",
      url: {
        //read: "/web/memingorder/allOrderList"
        read:APIV4+"/memorder/orderList"
      },
      checkable: true,
      afterQuery:	function(filters,result){
        if(self.refs.grid.state.filterRules!=null){
          let gridDatas=util.object.deepClone(self.refs.grid.state.gridDatas);     
          for(var item of gridDatas.items){
            item["CreationDate1"]=item.CreationDate.split(".")[0];
            item["PayPirce"]=item.payPirce/100
          }       
          self.refs.grid.setState({gridDatas:gridDatas});
        }
        },
      columns: [
        { title: "订单号", data: "OrdersCode", type: "text", editor: {},query:true },
        { title: "下单时间", data: "OrderTime", type: "date",editor: {}, query: true, render: (value, data) => {
          return <div>{value}</div>;
      }},
        /*{ title: "下单时间", data: "CreationDate",type: "text", editor: {},hide:true,query:true },*/
        { title: "下单人", data: "nickname", type: "text", editor: {},query:true },
        { title: "收货人", data: "Consignee",  type: "text", editor: {},query:true },
        { title: "收货地区", data: "ADeliveryAddress", type: "text",  editor: {},query:true},
        { title: "商品属性", data: "ProductObject", type: "dropdown", editor: {},source: { data:database },query:true},
        { title: "商品信息", data: "ProductName", type: "text",  editor: {},query:true},
        { title: "积分价格（分）", data: "Integral", type: "text",  editor: {},query:true},
        { title: "RMB价格（元）", data: "PayPirce", type: "text",  editor: {},query:true},

        { title: "订单状态", data: "OrderState", type: "dropdown",  editor: {},source: { data:databasev2 },query:true},
        {
          title: "操作选项", type: "command", actions: [
            {
            name: '详情',          
            color: '#67c23a',
            onClick: (data) => {            
              this.props.dispatch({
                type: 'app/updateState', payload: {
                  menuPath: [{id:"320"+data.OrdersCode,name:"订单详情"+data.ProductName}]
                }
              });
              this.props.dispatch(routerRedux.push({
                pathname: '/ingproduct/mem_ordersinfo',
                query: {params: data},
                })
              );
            }
          }        
        ]
        }
      ]
    };
    return <div>
                <BirdGrid gridOption={gridOption} ref={this.state.getdDisdatas} ref="grid"></BirdGrid>
           </div>
  }
}
export default connect( ( { bindActionCreators } ) => ( { bindActionCreators } ) )( tag_setting );
