import React from 'react';
import { BirdGrid,BirdTreeGrid } from 'components/Grid';
import { routerRedux } from 'dva/router'
import { config,request,util } from 'utils'
import { jrequest } from 'utils/request';
import { connect } from 'dva';
import {Modal,
  Row,
  Col,
  message,
  DatePicker,
  Input
} from 'antd';
const { APIV3,APIV4 } = config
class tag_setting extends React.Component {
  constructor(props) {
    super(props)
    console.log(props)

    this.state = {
      formConfirmLoading:false,
      formVisiable:false,
      logVisiable:false,
      levelProduct:[],//商品等级
      productObj:[],
      memLog:[]
    }
  }

  okClick(){
    let self=this
    let productObj = self.state.productObj;
    let levelProduct = self.state.levelProduct;
    if(productObj!=null && productObj.ProductCode!=null&&levelProduct!=null){
      let user = util.auth.getUser();
      for(var i=0;i<levelProduct.length;i++){
        if(levelProduct[i]["MarketIng"]!=null&&levelProduct[i]["MarketPrice"]!=null){
          levelProduct[i]["marketIng"]=levelProduct[i]["MarketIng"];
          levelProduct[i]["marketPrice"]=levelProduct[i]["MarketPrice"]*100;
          levelProduct[i]["productCode"]=levelProduct[i]["ProductCode"];
          var mak =String(levelProduct[i].marketPrice);
          var ing =String(levelProduct[i].marketIng);
          if(mak.indexOf(".")!=-1||ing.indexOf(".")!=-1){
            message.error("格式错误！")
            return;
          }
        }else{
          message.error("不能为空！");
          return;
        }    
      }
      //定价传递
        request({
        //url: APIV3+"/web/memProduct/addMemProductLevel?staffId="+user.staffid,
        url:APIV4+"/memorder/addMemProductLevel?MemberId="+user.id+"&MemberName="+user.rolename,
        method: "post",
        data:{levelProduct:levelProduct,productCode:productObj.ProductCode}
      }).then(function (result) {
        message.success(result.msg);
        self.cancelClick();
        self.refs.grid.refs.grid.query();
      })      
    }
}
cancelClick() {
  this.setState({
    productObj:[],
    levelProduct:[],
    formVisiable: false,
    formConfirmLoading: false
  });
}
onCancelInput(item,index,event){//等级，输入框，输入框值
  let Inputval= event.target.value;
  let self = this
  let levelProduct=self.state.levelProduct;
  for(var i=0;i<levelProduct.length;i++){
    if(levelProduct[i].id==item){
      if(index==1){
        levelProduct[i]["MarketIng"]=Inputval
      }else if(index==2){
        levelProduct[i]["MarketPrice"]=Inputval
      }
    }
  }
  self.setState({
    levelProduct:levelProduct
  })
}
  //获取规则数据
  componentDidMount(){ 
    let self=this;
 }
 itemClick(value) {
  console.log(value);
}
cancellogClick() {
  this.setState({
    logVisiable: false,
    memLog:[]
  });
}
  render() {
    let self = this;
    let {levelProduct,productObj,memLog}=self.state;
    let level=[]
    if(levelProduct!=null && levelProduct.length>0){
      level = levelProduct.map((data, rowIndex) => {
          level=[<div style={{margin:"10px 0 0px 10%"}} key={rowIndex}>LV{data.level}  {data.name}<Input type={"number"} onChange={self.onCancelInput.bind(this,data.id,"1")} style={{width:"20%",marginLeft:"2%"}} value={data.MarketIng}></Input>积分  <Input type={"number"} onChange={self.onCancelInput.bind(this,data.id,"2")} style={{width:"20%",marginLeft:"2%"}} value={data.MarketPrice}></Input>元(两位小数)</div>]
        return level;
      }) 
      level.unshift(<div style={{margin:"10px 0 0px 10%"}}>默认定价 <Input disabled style={{width:"20%",marginLeft:"2%"}} onChange={self.onCancelInput.bind(this,"mk","1")} value={productObj.MarketIng2}></Input>积分  <Input disabled onChange={self.onCancelInput.bind(this,"mk","2")} style={{width:"20%",marginLeft:"2%"}} value={productObj.MarketPrice2/100}></Input>元</div>)
    }
    let database = [
      {
        "label": "实物商品",
        "value": "1",
        "disabled": false
      },
      {
        "label": "虚拟商品",
        "value": "2",
        "disabled": false
      }
    ];

    let databasev2 = [
      {
        "label": "上架",
        "value": "1",
        "disabled": false
      },
      {
        "label": "下架",
        "value": "0",
        "disabled": false
      }
    ];
    let gridOption = {
      title: "商品列表",
      url: {
        //read: "/web/memProduct/AllproductLevel"
        read:APIV4+"/memorder/productLevel"
      },
      afterQuery:	function(filters,result){
        if(self.refs.grid.refs.grid.state.filterRules!=null){
          let gridDatas=util.object.deepClone(self.refs.grid.refs.grid.state.gridDatas); 
          for(var item of gridDatas.items){
            item["MarketPrice1"]=item.MarketPrice/100
            item["PurchasePrice"]=item.PurchasePrice/100
          }       
          self.refs.grid.refs.grid.setState({gridDatas:gridDatas});
        }
        },
      checkable: true,
      columns: [
        { title: "编号", data: "ProductCode", type: "text", editor: {} },
        { title: "商品属性", data: "ProductObject",type: "dropdown", editor: {},source: { data:database } },
        { title: "商品名称", data: "ProductName", type: "text", editor: {} },
        { title: "供应商", data: "Manufacturer",  type: "text", editor: {} },
        { title: "成本价", data: "PurchasePrice", type: "text",  editor: {}},
        { title: "积分价格（分）", data: "MarketIng", type: "text",  editor: {}},
        { title: "RMB价格（元）", data: "MarketPrice1", type: "text",  editor: {}},
        { title: "库存", data: "Amount", type: "text",  editor: {}},
        { title: "状态", data: "State", type: "dropdown",  editor: {},source: { data:databasev2 }},
        {
          title: "操作选项", type: "command", actions: [
            {
              name: '定价',          
              color: '#67c23a',
              onClick: (data) => {
                let user = util.auth.getUser();
                request({
                  //url: APIV3+"/web/memProduct/getProductLevel?staffId="+user.staffid,
                  url: APIV4+"/memorder/getProductLevel?productCode="+data.ProductCode,
                  method: "get",
                  //data:{productCode:data.ProductCode}
                }).then(function (result) {
                  let levelProduct=[];
                  if(result!=null && result.obj!=null){
                    levelProduct=result.obj;
                    for(var i=0;i<levelProduct.length;i++){
                      if(levelProduct[i].MarketPrice!=null){
                      levelProduct[i]["MarketPrice"]=levelProduct[i].MarketPrice/100
                      }
                    }
                  }
                  self.setState({
                    productObj:data,
                    levelProduct:levelProduct,
                    formConfirmLoading:true,
                    formVisiable:true
                  })
                })

              }
            },{
              name: '日志',          
              color: 'red',
              onClick: (data) => {
                let user = util.auth.getUser();
                jrequest({
                  //url: APIV3+"/web/memProduct/getProductLog?staffId="+user.staffid,
                  url: APIV4+"/memorder/getProductLog?productCode="+data.ProductCode,
                  method:"get",
                  //data:{productCode:data.ProductCode}
              }).then((result) => {
                  self.setState({
                    logVisiable:true,
                    memLog:result.obj
                  })
              });
              }
            }
         
        ]
        }
      ]
    };

    let treeOption = {
      url:APIV4+"/memorder/getlevel",
      //url: '/web/memProduct/getlevel',
      paramName:"LevelId",
      onSelect: value => this.itemClick(value),
      title:"等级列表"
    };

    let gridOptionsLog = {
      title: "日志列表",
      dataSource: memLog,
      columns: [
        { title: "时间", data: "creationDate", type: "text", editor: {}, isRequired: true },
        { title: "操作账号", data: "memberId", type: "text", editor: {},query:false },
        { title: "账号名称", data: "memberName", type: "text"}, 
        { title: "修改内容", data: "key", type: "text", editor: {},query:false }, 
      ]
      };
    return <div>
                <BirdTreeGrid gridOption={gridOption} treeOption={treeOption} ref="grid"></BirdTreeGrid>

                <Modal title="修改定价"
                  width="65%"
                  visible={self.state.formVisiable}
                  onCancel={() => self.cancelClick()}
                  onOk={() => self.okClick()}>                 
                  <Row>
                    <Col>
                      {level}
                    </Col>
                </Row>
                </Modal>

                <Modal title="日志"
                  width="65%"
                  visible={self.state.logVisiable}
                  onCancel={() => self.cancellogClick()}
                  onOk={() => self.cancellogClick()}>                 
                  <BirdGrid gridOption={gridOptionsLog} ref="grid"></BirdGrid>
                </Modal>
           </div>
  }
}
export default connect( ( { bindActionCreators } ) => ( { bindActionCreators } ) )( tag_setting );
