import $ from 'jquery';
import React from 'react'
import PropTypes from 'prop-types'
import { connect } from 'dva'
import { Button, Row, Form, Input } from 'antd'
import { config } from 'utils'
import styles from './index.less'
//import signalr from 'signalr'

const FormItem = Form.Item

const Login = ({
  loading,
  dispatch,
  form: {
    getFieldDecorator,
    validateFieldsAndScroll
  }
}) => {
    function handleOk(e) {
      e.preventDefault();
      validateFieldsAndScroll((errors, values) => {
        if (errors) {
          return
        }
        dispatch({ type: 'login/login', payload: values })
      })
    }

        
  function selectElement() {  
    console.log('Username',$('.text'));
    //console.log('Username',$('.text')[0].textContent);
  }

  function Load(){
    //var a =signalr
    // var chat = $.connection.chatHub

    // $.connection.hub.start().done(function(){
    //   console.log('success')
    // })
    console.log($)
    console.log(window.jQuery)
    console.log($.contection)
  }

  return (
    <div className={styles.form} onLoad={Load}>

      <div className={styles.logo}>
        <img alt="logo" src={config.logo} />
        <span>{config.name}</span>
      </div>
      <form>
        <FormItem hasFeedback>
          {getFieldDecorator('username', {
            rules: [
              {
                required: true
              }
            ]
          })(<Input onPressEnter={handleOk} placeholder="Username"  onClick={selectElement}/>)}
        </FormItem>
        <FormItem hasFeedback>
          {getFieldDecorator('password', {
            rules: [
              {
                required: true
              }
            ]
          })(<Input type="password" onPressEnter={handleOk} placeholder="Password" />)}
        </FormItem>
        <Row>
          <Button type="primary" onClick={handleOk} loading={loading.effects.login}>
            登陆
          </Button>
          <p>
            {/* <span>Username：</span>
            <span>Password：</span> */}
          </p>
        </Row>
      </form>

    </div>
  )
}

Login.propTypes = {
  form: PropTypes.object,
  dispatch: PropTypes.func,
  loading: PropTypes.object
}

export default connect(({ loading }) => ({ loading }))(Form.create()(Login))
