import { routerRedux } from 'dva/router'
import { login } from './service'
import { util} from 'utils';
import { message,notification} from 'antd';

export default {
  namespace: 'login',

  state: {},

  effects: {
    * login({
      payload
    }, { put, call, select }) {
      const data = yield call(login, payload)

      const { locationQuery } = yield select(_ => _.app)
      if (data.success) {
        console.log(data);
        util.auth.setUser(data.user);
        util.auth.setToken(data.user.staffid);
        const { from } = locationQuery
        yield put({ type: 'app/query' })
        if (from !=undefined&& from && from !== '/login') {
          yield put(routerRedux.push(from))
        } else {
          if(data.user.roleid==2){
            yield put(routerRedux.push('/dashboard'))
          }else if(data.user.roleid==3){
            yield put(routerRedux.push('/purchasedemand/purchasedemand'))
          }else if(data.user.roleid==1){
            yield put(routerRedux.push('/dashboard'))
          }else{
            yield put(routerRedux.push('/dashboard'))
          }
        }
      } else {
        message.error(data.msg);
        //throw data
      }
    }
  }
}
