import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config,util,request,hashToArray} from 'utils';
import { Layout,Badge,Form, Radio,Tabs,Table,Button, Modal,Input, Row,Col, Tag, Tooltip, Icon,Card,Spin, message} from 'antd';  
import Panel from 'components/Panel';
import {BirdForm} from 'components/Form';
//import reqwest from 'reqwest';
//import {BirdForm} from 'components/Form'; 
const { APIV3,APIV4} = config;
const { Provinces,Cities,Areas } = util;
const { TabPane } = Tabs; 


//订单详情弹出表单组件
const CollectionCreateForm = Form.create({ name: 'form_in_modal' })(
  // eslint-disable-next-line
  class extends React.Component {
    constructor(props) {
      super(props)
      this.state = {  
        users:[], //健康档案实体
        members:[],//实名信息实体 
        temsCount:0,//历史用户信息个数
        odersproduct:[],
        data: [],
        loading: false,
        orderinfo:[]
      }
    }
  
    //第一次渲染后事件
  componentDidMount() { 
    let self= this;
    var xx=this.state.code; 
  }

  //test
  handleTableChange = (pagination, filters, sorter) => {
        const pager = { ...this.state.pagination };
        pager.current = pagination.current;
        this.setState({
          pagination: pager,
        });
        this.fetch({
          results: pagination.pageSize,
          page: pagination.current,
          sortField: sorter.field,
          sortOrder: sorter.order,
          ...filters,
        });
  };

    render() {
    //订单信息数据源
    let self = this;
    var Consignee="";//姓名
    var MemPhone="";//手机号
    var OrdersCode="";//订单号
    var LastModified="";//下单时间
    var OriginType="";//下单终端
    var SourcePlatforms = "";

    var InitSum="";//下单金额
    var InitSum="";//实付金额
    var OrderStatus="";//订单状态
    var PaymentType="";//支付方式
    var ADeliveryAddress="";//地址 
    //商品明细
      const { visible, onCancel, onCreate, form,orderinfo,odersproduct } = this.props;
      
      orderinfo.map((orderinfo,i)=>{
      Consignee=orderinfo.Consignee
      MemPhone=orderinfo.MemPhone
      OrdersCode=orderinfo.OrdersCode
      LastModified=orderinfo.LastModified
      OriginType=orderinfo.OriginType
      SourcePlatforms = orderinfo.SourcePlatforms;
      InitSum=orderinfo.InitSum
      OrderStatus=orderinfo.OrderStatus
      OrderStatus=orderinfo.OrderStatus
      PaymentType=orderinfo.PaymentType 
      ADeliveryAddress=orderinfo.ADeliveryAddress 
    }) 
    //购买人信息table表格
    const columns = [
      {
        dataIndex: 'one',
        width: '25%',
      },
      {
        dataIndex: 'two',
        width: '25%',
      },
      {
        dataIndex: 'three',
        width: '25%',
      },
      {
        dataIndex: 'four',
        width: '25%',
      },
    ];
    const data =[
      {
        key: '1',
        one: '姓名',
        two: Consignee,
        three: '手机号码',
        four: MemPhone,
      }, 
    ];

    //基础信息table表格
    const columns1 = [
      {
        dataIndex: 'one',
        width: '25%',
      },
      {
        dataIndex: 'two',
        width: '25%',
      },
      {
        dataIndex: 'three',
        width: '25%',
      },
      {
        dataIndex: 'four',
        width: '25%',
      },
    ];
    const data1 = [
      {
        key: '1',
        one: '订单号',
        two: OrdersCode,
        three: '订单时间',
        four: LastModified,
      },
      {
        key: '2',
        one: '下单终端',
        two: OriginType,
        three: '订单金额',
        four:InitSum,
      },
      {
        key: '3',
        one: '下单平台',
        two: SourcePlatforms,
        three: '优惠金额',
        four: '无',
      },
       {
        key: '4',
        one: '实付金额',
        two: InitSum,
        three: '实付金额',
        four: InitSum,
      }, 
      {
       key: '4',
       one: '订单状态',
       two: OrderStatus,
       three: '支付方式',
       four: PaymentType,
     }, 
    ];

    //收货人table表格
    const columns2 = [
      {
        dataIndex: 'one',
        width: '25%',
      },
      {
        dataIndex: 'two',
        width: '25%',
      },
      {
        dataIndex: 'three',
        width: '25%',
      },
      {
        dataIndex: 'four',
        width: '25%',
      },
    ];
    const data2 =[
      {
        key: '1',
        one: '姓名',
        two: Consignee,
        three: '手机',
        four: MemPhone,
      },
      {
        key: '2',
        one: '地区',
        two: '无',
        three: '邮编',
        four:'无',
      },
      {
        key: '3',
        one: '地址',
        two: ADeliveryAddress,
      }, 
    ];
        
    //商品明细table
    const  columns3 = [
      {
        title: '商品编码',
        dataIndex: 'ProductCode',
        //sorter: true,
        //render: name => `${name.first} ${name.last}`,
        width: '20%',
      },
      {
        title: '商品名称',
        dataIndex: 'ProductName',
        //filters: [{ text: 'Male', value: 'male' }, { text: 'Female', value: 'female' }],
        width: '20%',
      },
      {
        title: '商品规格',
        dataIndex: 'Packing',
        width: '20%',
      },
      {
        title: '商品单价',
        dataIndex: 'ActualPrice',
        width: '20%',
      },
      {
        title: '购买数量',
        dataIndex: 'Amount',
        width: '20%',
      },
    ];

      //const { getFieldDecorator } = form;
      return (
        <Modal
          visible={visible}
          title="订单详情"
          //onokText="Create"
          onCancel={onCancel}
          onOk={onCreate}
          width={800}
        >
          <Form layout="horizontal">
            <Form.Item label="购买人">
              <Table  columns={columns} dataSource={data} bordered  pagination={ false }/>
            </Form.Item>
            <Form.Item label="基础信息">
              <Table  columns={columns1} dataSource={data1} bordered  pagination={ false }/>
            </Form.Item> 
            <Form.Item label="收货人">
              <Table  columns={columns2} dataSource={data2} bordered  pagination={ false }/>
            </Form.Item> 
            <Form.Item label="商品明细">
                <Table
                    columns={columns3}
                    rowKey={record => record.primaryKey}
                    dataSource={odersproduct}
                    pagination={false}
                    //pagination={this.state.pagination}
                    loading={this.state.loading}
                    onChange={this.handleTableChange}
                  />
            </Form.Item> 
          </Form>
        </Modal>
      );
    }
  },
); 

//Tag组件
class EditableTagGroup extends React.Component {
  constructor(props) {
  super(props)
  let tags = this.props.tags;
  let option = this.props.option;
  this.state = {
    tags: tags?tags:[],
    inputVisible: false,
    inputValue: '',
    visibleTag: false,
    taslist:[],
    option:option?option:{}
  };
}

 

// componentDidMount() {
//   let self= this;
//   let tags  = this.props.tags;
//   self.setState({ 
//     tags:tags
//   });
// }

//props数据修改事件
componentWillReceiveProps(nextProps){
  let self= this;
  if(nextProps.option
    &&!util.object.equal(this.props.option, nextProps.option)
  ){
    self.setState({ option:nextProps.option});
  }
    let tags  = nextProps.tags;
    self.setState({ tags: tags});
  }
  //添加标签——
  saveFormRefTag = formRefTag => {
    this.formRefTag = formRefTag;
  };
  // showModalTag = () => {
  //   this.setState({ visibleTag: true });
  // };
  
  //tags-删除事件
  handleClose = removedTag => {
    const tags = this.state.tags.filter(tag => tag !== removedTag);
    //console.log(tags);
    this.setState({ tags });
  };

  //显示tags
  showInput = () => {
    this.setState({ inputVisible: true }, () => this.input.focus());
  };

  //tags
  handleInputChange = e => {
    this.setState({ inputValue: e.target.value });
  };

  handleInputConfirm = () => {
    const { inputValue } = this.state;
    let { tags } = this.state;
    if (inputValue && tags.indexOf(inputValue) === -1) {
      tags = [...tags, inputValue];
    }
    console.log(tags);
    this.setState({
      tags,
      inputVisible: false,
      inputValue: '',
    });
  };

  saveInputRef = input => (this.input = input);
  ShowModel(){
    const { showModalTag } = this.props;
    var type= this.state.option.type;
    showModalTag(type);
  }

  render() {
    let self = this;
    //let MemberPhone = self.state.MemberPhone;
    const { tags, inputVisible, inputValue } = self.state;
    // const { onCancelTag,onCreateTag} = this.props;
    return (
      <div>
        {tags.map((tag, index) => {
          const isLongTag = tag.length > 20;
          const tagElem = (
            <Tag key={tag} closable={false} onClose={() => self.handleClose(tag)}>
              {isLongTag ? `${tag.slice(0, 20)}...` : tag}
            </Tag>
          );
          return isLongTag ? (
            <Tooltip title={tag} key={tag}>
              {tagElem}
            </Tooltip>
          ) : (
            tagElem
          );
        })}
        {inputVisible && (
          <Input
            ref={this.saveInputRef}
            type="text"
            size="small"
            style={{ width: 78 }}
            value={inputValue}
            onChange={this.handleInputChange}
            onBlur={this.handleInputConfirm}
            onPressEnter={this.handleInputConfirm}
          />
        )}
        {!inputVisible && (
          // <Tag onClick={this.showInput} style={{ background: '#fff', borderStyle: 'dashed' }}>
          <Tag onClick={self.ShowModel.bind(this)} style={{ background: '#fff', borderStyle: 'dashed' }}>  
            <Icon type="plus" /> 添加标签
          </Tag>
        )}
        {/*  <TagCreateForm
                 wrappedComponentRef={this.saveFormRefTag}
                 visibleTag={this.state.visibleTag}
                 onCancelTag={onCancelTag}
                 onCreateTag={onCreateTag}
                 data={{MemberPhone:MemberPhone}}
        /> */}
      </div>
    );
  }
}


//用户标签弹出表单组件
const TagCreateForm = Form.create({ name: 'form_in_modal' })(
  // eslint-disable-next-line
  class extends React.Component {
      constructor(props) {
        super(props)
        var data = this.props.data;
        this.state = {  
          data: data?data:{},
          updateLoading: false
        }
      }

    //chechbox选中事件     
    // checkclick(datalist,checkkey){
    //   var aa=datalist;
    //   var bb=checkkey; 
    // };
      
    componentWillReceiveProps(nextProps){
        if( !util.object.equal(nextProps.data, this.props.data)){
            this.setState({data:nextProps.data});
        }
    }

    render() {
      let self = this;
      const { visibleTag, onCancelTag, onCreateTag } = this.props;
      
      var MemberPhone1= self.state.data.MemberPhone;
      let gridOptionsTag = {
        title: "标签列表",
        url: {
          read: "/web/mem_tag/AllTagList?MemberPhone="+MemberPhone1
        },
        checkable: true,
        // filterRules:[{field:"MemberPhone",operate:"equal",value:MemberPhone}],
        afterCheck:function checkclick(datalist,checkkey){
          self.state.data.beforeCheckCall&&self.state.data.beforeCheckCall();
          self.setState({updateLoading:true});
          var pagekey = [];
          for(var i in datalist.items){
            pagekey.push(datalist.items[i]['_id']);
          }
          var query={
            memberphone:MemberPhone1, 
            checkkey:checkkey,
            pagekey:pagekey};
          request({
            url: APIV3+"/web/mem_tag/EditMemberTag",
            method: "post",
            data:query,
          }).then(function (result) {
            if (result.success){        
              //console.log(result)
              self.state.data.afterCheckCall&&self.state.data.afterCheckCall();
              self.setState({updateLoading:false});
            }                
          });  
        },
        primaryKey:"_id",
        filterRules:[{field:"TagTypeName",operate:"contains",value:self.state.data.type}],
        columns: [
          { title: "标签ID", data: "_id", type: "text", editor: {}, isRequired: true },
          { title: "标签名称", data: "TagName", type: "text", editor: {},query:true,  isRequired: true },
          { title: "标签类型名称", data: "TagTypeName", type: "text", editor: {},query:true, isRequired: true },
          { title: "标签类型", data: "TagTypeId", type: "text", editor: {},query:false, isRequired: true }, 
          {
            title: "操作选项", type: "command", actions: []
          }
        ],
      //   actions:[{ name: '保存', onClick: function () {
           
      //   }
      // }]
      };

      return (
        <Modal
          visible={visibleTag}
          title="选择标签"
          okText="确定"
          onCancel={onCancelTag}
          onOk={onCreateTag}
          width={1200}
        >
          <Spin spinning={this.state.updateLoading} tip="数据加载中...">
            <Form layout="vertical">
              {/* <Form.Item >
              </Form.Item> */}
              <BirdGrid gridOption={gridOptionsTag}></BirdGrid>
            </Form>
          </Spin>
        </Modal>
      );
    }
  },
);

    /////////////////////////////历史档案/////////////////////////////////
    class EditMemberExtTempInfo extends React.Component {
      constructor(props) {
        super(props)
        this.state = {  
          loading: false,
          visible: this.props.visible?this.props.visible:false,
          MemberPhone:this.props.MemberPhone?this.props.MemberPhone:""
        }
      }
      
      componentWillReceiveProps(nextProps) {
        if (!util.object.equal(nextProps.visible,this.props.visible)) {
          let visible = nextProps.visible
          this.setState({
            visible: visible
          })
        }
        if (!util.object.equal(nextProps.MemberPhone,this.props.MemberPhone)) {
          let MemberPhone = nextProps.MemberPhone
          this.setState({
            MemberPhone: MemberPhone
          })
        }
      }
      
      //关闭
      onCancel = () => {
        this.props.onCancel();
      };

      //确定
      onCreate = () => {
        this.props.onCreate();
      };
      render(){
        var self = this;
        let gridOptions_mem_memberexts_temp = {
          title: "历史基本信息",
          url: {
            read: "/web/mem_memberexts_temp/MemberextsByPhone"
          },
          //checkable: true,
          filterRules:[{field:"AConsigneePhone2",operate:"equal",value:self.state.MemberPhone}],
          primaryKey:"AConsigneePhone2",
          columns: [
            { title: "id", data: "_id", type: "text", editor: {}, hide: true },
            { title: "终端", data: "OriginType", type: "dropdown",
            source:{url:APIV4+"/terminaldoc/getterms/"} , editor: {}, query: true },
            { title: "电话", data: "AConsigneePhone2", type: "text",editor: {}, query: true },
            { title: "姓名", data: "Consignee", type: "text",
            onclick:function(value,col,data){
              request({
                url: "/web/Mem_memberinformation/EditMemberBase",
                method: "post",
                data: {_id:data.AConsigneePhone2Or,updateField:"MemberNickName",updateFieldValue:value
                ,update:"true"}
              }).then(function (result) {
                if(result.success){
                  message.success('保存成功');
                }else{
                  message.error(result.msg);
                }
              });
            },
             editor: {}, query: false },
            { title: "性别", data: "Sex", type: "dropdown",
            source:{url:APIV4+"/terminaldoc/getgender"},
            onclick:function(value,col,data){
              request({
                url: "/web/Mem_memberinformation/EditMemberBase",
                method: "post",
                data: {_id:data.AConsigneePhone2Or,updateField:"Gender",updateFieldValue:value
                ,update:"true"}
              }).then(function (result) {
                if(result.success){
                  message.success('保存成功');
                }else{
                  message.error(result.msg);
                }
              });
            },
             editor: {}  }, 
            //{ title: "年龄", data: "Age", type: "int", editor: {}, isRequired: true },
            { title: "省份", data: "MemUsualProvinceCode",
            type: 'dropdown',
            source:{data:Provinces}, 
            onclick:function(value,col,data){
              request({
                url: "/web/Mem_memberinformation/EditMemberBase",
                method: "post",
                data: {updates:[
                  {_id:data.AConsigneePhone2Or,updateField:"MemUsualProvinceCode",updateFieldValue:value
                ,update:"true"}
                ]}
              }).then(function (result) {
                if(result.success){
                  message.success('保存成功');
                }else{
                  message.error(result.msg);
                }
              });
            },
            editor: {}, query: false },
            { title: "城市", data: "MemUsualCityCode", 
            type: 'dropdown',
            source:{data:Cities}, 
            onclick:function(value,col,data){
              request({
                url: "/web/Mem_memberinformation/EditMemberBase",
                method: "post",
                data: {updates:[
                  {_id:data.AConsigneePhone2Or,updateField:"MemUsualCityCode",updateFieldValue:value
                ,update:"true"}
                ]}
              }).then(function (result) {
                if(result.success){
                  message.success('保存成功');
                }else{
                  message.error(result.msg);
                }
              });
            },
            editor: {}, query: false },
            { title: "区县", data: "MemUsualAreaCode", 
            type: 'dropdown',
            source:{data:Areas}, 
            onclick:function(value,col,data){
              request({
                url: "/web/Mem_memberinformation/EditMemberBase",
                method: "post",
                data: {updates:[
                  {_id:data.AConsigneePhone2Or,updateField:"MemUsualAreaCode",updateFieldValue:value
                ,update:"true"}
                ]}
              }).then(function (result) {
                if(result.success){
                  message.success('保存成功');
                }else{
                  message.error(result.msg);
                }
              });
            },
            editor: {}, query: false },
            
            { title: "地址", data: "ADeliveryAddress", 
            type: 'dropdown',
            source:{data:Areas}, 
            onclick:function(value,col,data){
              request({
                url: "/web/Mem_memberinformation/EditMemberBase",
                method: "post",
                data: {updates:[
                  {_id:data.AConsigneePhone2Or,updateField:"MemUsualAdress",updateFieldValue:value
                  ,update:"true"},
                    {_id:data.AConsigneePhone2Or,updateField:"DeliveryAddress",updateFieldValue:value
                  ,update:"true"}
                  ]
                }
              }).then(function (result) {
                if(result.success){
                  message.success('保存成功');
                }else{
                  message.error(result.msg);
                }
              });
            },
            editor: {}, query: false },
            {
              title: "操作选项", type: "command", actions: []
            }
          ]
        };
            
        return (
        <Modal
        visible={this.state.visible}
        title="历史基本信息"
        //onokText="Create"
        onCancel={this.onCancel}
        onOk={this.onCreate}
        width={800}
        >
            <BirdGrid gridOption={gridOptions_mem_memberexts_temp}  ref="grid_mem_memberexts_temp"/>
        </Modal>
        )
      }
    }
    
//个人用户管理组件
class BirdGridmem_prescriptionPage extends React.Component {
  constructor(props) {
    super(props)
    
    this.state = {  
      hidegrid:true,//实名信息radio参数
      hidegrid1:true,//购物历史radio参数
      hidegrid2:true,//收货历史radio参数
      hidegrid3:true,//平台列表radio参数
      healthDocs:[], //健康档案实体
      members:[],//基本信息实体
      memberexts:[],//实名信息实体
      visible: false,
      visibleTag: false,
      orderinfo:[],
      odersproduct:[],
      tags:[],
      phone:"", 
      tagpanes:[],
      userExt:{},
      queryLoading:false,
      updateTagsLoading:false,
      TagTypeName:"",
      tempVisible:false
    }
  }

  getMemberExts(MemberPhone,self){
    var membersql={query:MemberPhone};
    request({
      url: APIV4+"/memberexts/memberextsByPhone",
      method: "post",
      data:membersql,
    }).then(function (result) {
      if (result.success){        
        console.log(result)
        self.setState({ 
          memberexts:result.items
        });
      }                
    }); 
  }

  getMemberInfo(MemberPhone,self){
  var membersql={"MemberPhone":MemberPhone};
      //var membersql={"query":"select * from mem_memberbase_p where MemUsualPhone = '13761709889'"};
      request({
        url: APIV4+"/memberexts/index",
        method: "post",
        data:membersql,
      }).then(function (result) {
        if (result.success){        
          console.log(result)
          self.setState({ 
            members:result.items,
            temsCount:result.temsCount
          });
        }                
      });  
    }

    getMemberHealthDoc(MemberPhone,self){
    var json={"MemberPhone":MemberPhone};
      request({
        url: APIV4+"/memberexts/index",
        method: "post",
        data:json,
      }).then(function (result) {
        if (result.success){        
          console.log(result)
          self.setState({ 
            healthDocs:result.items
          });
        }                
      });  
    }

    getMemberTags(MemberPhone,self){
      var membersql = {query: MemberPhone};
      request({
        url: APIV4+"/memberexts/TagByMemberPhone",
        method: "post",
        data:membersql,
      }).then(function (result) {
        if (result.success){        
          console.log(result)
          var ss=[];
          var panelnames=[];
          for(var name in result.items){
            panelnames.push(name);
          }
          var data = hashToArray(result.items);
          data.map((item,i)=> {
            let tagcouple = [];
            if((i+1)%2 == 0){
              var item11 = [];
              var item22 = [];
              var items = [];
              data[i].map((item1,index1)=>{
                items.push(item1.TagName)
              })
              item11.push(panelnames[i]);
              item11.push(items);
              var items2 = [];
              data[i-1].map((item1,index1)=>{
                items2.push(item1.TagName)
              })
              item22.push(panelnames[i-1]);
              item22.push(items2);
              tagcouple.push(item11);
              tagcouple.push(item22);
              ss.push(tagcouple);
            }
            if(data.length%2 !=0 && (i+1) == data.length){
              let tagcouple = [];
              var item11 = [];
              var items = [];
              data[i].map((item1,index1)=>{
                items.push(item1.TagName)
              })
              item11.push(panelnames[i]);
              item11.push(items);

              tagcouple.push(item11);
              ss.push(tagcouple);
            }
          })
          
          self.setState({ 
            tags:ss,queryLoading:false
          });
        }                
      }); 
    }

    afterTagCheckCall(){
      var self = this;
      self.setState({updateTagsLoading:false});
    }
    
    beforeTagCheckCall(){
      var self = this;
      self.setState({updateTagsLoading:true});
    }


  //第一次渲染后事件
  componentDidMount() { 
    let self= this;
    
    let MemberPhone = self.props.location.query.MemberPhone&&self.props.location.query.MemberPhone;
    self.setState({ 
      MemberPhone:MemberPhone
    });

    //实名信息请求
    self.getMemberExts(MemberPhone,self)

    //基本信息请求
    self.getMemberInfo(MemberPhone,self)

    //健康档案请求
    self.getMemberHealthDoc(MemberPhone,self)

    //第一次加载用户标签请求
    self.getMemberTags(MemberPhone,self)
  }

  //订单详情——弹出表单Modal
  showModal = (data) => {
    let self= this;
    console.log(data.OrdersCode);
    var code=data.OrdersCode;

    //订单详情请求
    //var ordercode="TM140258449148710883";
    var membersql={query: code};
    request({
      url: APIV3+"/web/mem_order/OrderByCode",
      method: "post",
      data:membersql,
    }).then(function (result) {
      if (result.success){        
        console.log(result)
        self.setState({ 
          orderinfo:result.items
        });
      }                
    }); 
    
    //订单详情商品请求
    //var json={"query":"select * from mem_memberhealth where MemberId = '13FFCC9C-7A70-4BAE-867B-0190FCB4A2A9'"};
    request({
      url: APIV3+"/web/mem_orderproducts/ProductsListByOderCode",
      method: "post",
      data:membersql,
    }).then(function (result) {
      if (result.success){ 
        console.log(result)
        self.setState({
          loading: false,
          odersproduct:result.items,
        });
      }                
    }); 

    //修改显示属性
    this.setState({ visible: true});
  }; 

  //订单详情——弹出框关闭点击事件
  handleCancel = () => {
    this.setState({ visible: false });
  };

  //订单详情——确定点击事件
  handleCreate = () => {
    const form = this.formRef.props.form;
    form.validateFields((err, values) => {
      if (err) {
        return;
      } 
      console.log('Received values of form: ', values);
      form.resetFields();
      this.setState({ visible: false });
    });
  };

  //订单详情——
  saveFormRef = formRef => {
    this.formRef = formRef;
  };

  //添加标签——弹出表单Modal
  showModalTag = (data) => {
    var type = data&&typeof(data) == "string"?data:""
    this.setState({ visibleTag: true ,TagTypeName:type});
  };

  //添加标签——弹出框关闭点击事件
  handleCancelTag = () => {
    if(this.state.updateTagsLoading){
      message.error("数据处理中...");
      return true;
    }
    this.setState({ visibleTag: false });
    
    this.setState({queryLoading:true});
    this.getMemberTags(this.state.MemberPhone,this);
  };

  //添加标签——确定点击事件
  handleCreateTag = () => {
    if(this.state.updateTagsLoading){
      message.error("数据处理中...");
      return true;
    }
    
    const form = this.formRefTag.props.form;
    form.validateFields((err, values) => {
      if (err) {
        return;
      } 
      console.log('Received values of form: ', values);
      form.resetFields();
      this.setState({ visibleTag: false });
    });
    
    this.setState({queryLoading:true});
    this.getMemberTags(this.state.MemberPhone,this);
  };

  //添加标签——
  saveFormRefTag = formRefTag => {
    this.formRefTag = formRefTag;
  };

  
  //处方列表radio点击事件
  prescriptionohandleChange = function(e){
    let self=this;
    console.log(e.target.value)
    var rvalue=e.target.value;
    if(rvalue=="prescriptiono1")
    {
      self.setState({hidegrid:true});
    }
    if(rvalue=="prescriptiono2")
    {
      self.setState({hidegrid:false});
    }
  };

  //购药历史radio点击事件
  PurchasehandleChange = function(e){
    let self=this;
    console.log(e.target.value)
    var rvalue=e.target.value;
    if(rvalue=="Purchase1")
    {
      self.setState({hidegrid1:true});
    }
    if(rvalue=="Purchase2")
    {
      self.setState({hidegrid1:false});
    }
  };

  //收货历史radio点击事件
  ReceivinghandleChange = function(e){
    let self=this;
    console.log(e.target.value)
    var rvalue=e.target.value;
    if(rvalue=="Receiving1")
    {
      self.setState({hidegrid2:true});
    }
    if(rvalue=="Receiving2")
    {
      self.setState({hidegrid2:false});
    }
  };

  //平台列表radio点击事件
  dochandleChange = function(e){
    let self=this;
    console.log(e.target.value)
    var rvalue=e.target.value;
    if(rvalue=="doc1")
    {
      self.setState({hidegrid3:true});
    }
    if(rvalue=="doc2")
    {
      self.setState({hidegrid3:false});
    }
  };


  onHistMemExtsClick = function(){
    this.setState({tempVisible:true});
  };
    
  onHistMemExtsCancel = function(){
    this.setState({tempVisible:false});
  }
  onHistMemExtsCreate = function(){
    this.setState({tempVisible:false});
  }

  componentWillReceiveProps(nextProps){
    let self= this;
    if(nextProps.history.location.pathname.indexOf('/mem_prescription')>0){
      let MemberPhone = nextProps.history.location.query.MemberPhone&&nextProps.history.location.query.MemberPhone;
      
      self.setState({MemberPhone:MemberPhone,queryLoading:true});
      //实名信息请求
      self.getMemberExts(MemberPhone,self)

      //基本信息请求
      self.getMemberInfo(MemberPhone,self)

      //健康档案请求
      self.getMemberHealthDoc(MemberPhone,self)

      //标签
      self.getMemberTags(MemberPhone,self)
    }
  }

  render() {  
    
    //实名信息数据源
    let self = this;
    let MemberPhone = this.state.MemberPhone;
    
    // var realname = "";
    // var OriginType = "";
    // this.state.memberexts.map((user,i)=>{
    //   realname=user.MemName
    //   OriginType=user.OriginType
    // }) 
    
    //实名信息table表格
    const fields=[
      {
        name: '姓名',
        key: 'MemName',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '身份证号',
        key: 'IdCardNo',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '民族',
        key: 'Nation',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '性别',
        key: 'Gender',
        fieldType: 'dropdown',
        source:{url:APIV4+"/terminaldoc/getgender"},
        colSpan:2,
      },
      {
        name: '签发机关',
        key: 'SignOrgName',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '出生日期',
        key: 'MemberBirthday',
        fieldType: 'date',
        colSpan:2,
      },
      {
        name: '开始有限期',
        key: 'ValidStartDate',
        fieldType: 'date',
        colSpan:2,
      },
      {
        name: '截止有效期',
        key: 'ValidEndDate',
        fieldType: 'date',
        colSpan:2,
      },
      {
        name: '地址',
        key: 'DeliveryAddress',
        fieldType: 'text',
        colSpan:2,
      },
    ];

    //健康档案
    const fieldsMemHealthDoc=[
      {
        name: '姓名',
        key: 'PatientName',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '年龄',
        key: 'PatientAge',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '性别',
        key: 'PatientGender',
        fieldType: 'dropdown',
        source:{url:APIV4+"/terminaldoc/getgender"},
        colSpan:2,
      },
      {
        name: '出生日期',
        key: 'PatientBirthDay',
        fieldType: 'date',
        colSpan:2,
      },
      {
        name: '婚姻',
        key: 'PatientMariageAt',
        fieldType: 'date',
        colSpan:2,
      },
      {
        name: '身高',
        key: 'PatientHeight',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '体重',
        key: 'PatientWeight',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '常用药',
        key: 'PatientPhone',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '病史',
        key: '_id1',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '过敏史',
        key: '_id2',
        fieldType: 'text',
        colSpan:2,
      },
      // {
      //   name: 'test',
      //   key: 'test',
      //   fieldType: 'date',
      //   colSpan:2,
      // }
    ];

    //就诊处方list列表
    //就诊处方-处方列表数据源
    let gridOptions1 = {
      title: "处方列表",
      url: {
        read: APIV4+"/prescription/index"
      },
      //checkable: true,
      filterRules:[{field:"MemPhone",operate:"equal",value:MemberPhone}],
      primaryKey:"id",
      columns: [
        { title: "id", data: "MemberId", type: "text", editor: {}, isRequired: true },
        { title: "开方日期", data: "PrescriptionDate", type: "text", editor: {},  isRequired: true },
        { title: "诊断结果", data: "Diagnosis", type: "text", editor: {}, isRequired: true },
        { title: "开方科室", data: "xx", type: "text", editor: {}, isRequired: true },
        { title: "姓名", data: "MemberName", type: "text", editor: {}, isRequired: true },
        { title: "医生id", data: "PrecDoctorId", type: "text", editor: {}, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    //就诊处方-处方商品数据源
    let gridOptions2 = {
      title: "用药列表",
      url: {
        read: APIV4+"/prescriptionproduct/index"
      },
      //checkable: true,
      filterRules:[{field:"MemPhone",operate:"equal",value:MemberPhone}],
      primaryKey:"id",
      columns: [
        //{ title: "订单编号", data: "OrderCode", type: "text", editor: {}, isRequired: true },
        { title: "药品编号", data: "ProductCode", type: "text", editor: {}, isRequired: true },
        { title: "药品名称", data: "ProductName", type: "text", editor: {},  isRequired: true },
        { title: "处方内容", data: "Contents", type: "text", editor: {}, hide: true },
        { title: "药品规格", data: "Diagnosis", type: "text", editor: {}, isRequired: true },
        { title: "上次用药时间", data: "PrecDoctorId", type: "text", editor: {}, isRequired: true },
        { title: "用药次数", data: "PrecDoctorId", type: "text", editor: {}, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    

    //购药历史list列表
    //购药历史-订单列表
    //var buyusersql={"query":"select * from mem_order where BuyUserId='78492474-DEF6-413F-B4B1-583D9B86668E'"};
    let gridOptions3 = {
      title: "订单列表",
      url: {
        read: APIV4+"/purchaseHistory/orderList"
      },
      primaryKey:"id",
      filterRules:[{field:"MemPhone",operate:"equal",value:MemberPhone}],
      columns: [
        { title: "id", data: "_id", type: "text", editor: {}, hide: true },
        { title: "订单ID", data: "OrdersCode", type: "text", editor: {}, isRequired: true },
        { title: "订单时间", data: "OrderTime", type: "text", editor: {},  isRequired: true },
        { title: "订单金额", data: "Sum", type: "text", editor: {}, isRequired: true },
        { title: "下单平台", data: "SourcePlatforms", type: "dropdown", editor: {},
        source:{url:APIV4+"/terminaldoc/getSourcePlatForms"}, isRequired: true },
        { title: "下单终端", data: "OriginType", type: "dropdown",
        source:{url:APIV4+"/terminaldoc/getterms"}, editor: {}, isRequired: true }, 
        {
          title: "操作", type: "command", actions: [{
            name: '详情',
            color: '#67c23a',
            onClick: data => this.showModal(data) 
          }]
        }
      ]
    };
    //购药历史-商品列表
    let gridOptions4 = {
      title: "商品列表",
      url: {
        //read: "/web/Mem_PurchaseHistory/DrugsList"
        read: APIV4+"/purchaseHistory/orderproductsList"
      },
      primaryKey:"id",
      filterRules:[{field:"MemberPhone",operate:"equal",value:MemberPhone}],
      columns: [
        { title: "Id", data: "Id", type: "text", editor: {}, hide: true },
        { title: "商品编码", data: "ProductCode", type: "text", editor: {}, isRequired: true },
        { title: "商品数量", data: "Amount", type: "text", editor: {}, isRequired: true },
        { title: "商品名称", data: "ProductName", type: "text", editor: {},  isRequired: true },
        { title: "商品规格", data: "Packing", type: "text", editor: {}, isRequired: true },
        { title: "购买时间", data: "CreationDate", type: "text", editor: {}, isRequired: true },
        { title: "购买次数", data: "PrecDoctorId", type: "text", editor: {}, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };

    //收货历史list列表
    

    //用户标签

    //好友列表
    let gridOptions5 = {
      title: "好友列表",
      url: {
        //read: "/web/Mem_PurchaseHistory/DrugsList"
        read: APIV4+"/memFriends/memberFriends"
      },
      primaryKey:"id",
      filterRules:[{field:"MemberPhone",operate:"endswith",value:MemberPhone}],
      columns: [
        { title: "id", data: "_id", type: "text", editor: {}, hide: true },
        { title: "好友昵称", data: "MemberFriendNickName", type: "text", editor: {}, isRequired: true },
        { title: "好友姓名", data: "MemberFriendRealName", type: "text", editor: {},  isRequired: true },
        { title: "手机号", data: "MemberFriendsPhone", type: "text", editor: {}, isRequired: true },
        { title: "关系", data: "MemberRelatBrief", type: "text", editor: {}, isRequired: true },
        { title: "来源", data: "MemberSource", type: "dropdown", 
        source:{url:APIV4+"/terminaldoc/getterms"},editor: {}, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };

    //使用终端
    //使用终端-平台列表
    let gridOptions6 = {
      title: "平台列表",
      url: {
        read: APIV4+"/memberterminal/doclist"
      },
      //checkable: true,
      primaryKey:"id",
      filterRules:[{field:"MemUsualPhone",operate:"equal",value:MemberPhone}],
      columns: [
        { title: "id", data: "_id", type: "text", editor: {}, isRequired: true },
        { title: "平台", data: "TerminalCode", type: "dropdown", 
        source:{url:APIV4+"/terminaldoc/getterms"},editor: {}, isRequired: true }, 
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };

    //基本信息数据源
    const fieldsMemBase=[
      {
        name: '头像',
        key: 'MemberHeadPic',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '昵称',
        key: 'MemberNickName',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '电话',
        key: 'MemUsualPhone',
        fieldType: 'text',
        colSpan:2,
      },
      {
        name: '性别',
        key: 'MemberGender',
        fieldType: 'dropdown',
        source:{url:APIV4+"/terminaldoc/getgender"},
        colSpan:2,
      },
      {
        name: '出生日期',
        key: 'MemberBirthday',
        fieldType: 'date',
        colSpan:2,
      },
      {
        name: '常住省份',
        key: 'MemUsualProvinceCode',
        fieldType: 'dropdown',
        source:{data:Provinces},
        colSpan:2,
      },
      {
        name: '常住城市',
        key: 'MemUsualCityCode',
        fieldType: 'dropdown',
        source:{data:Cities},
        colSpan:2,
      },
      {
        name: '常住县区',
        key: 'MemUsualAreaCode',
        fieldType: 'dropdown',
        source:{data:Areas},
        colSpan:2,
      },
      {
        name: '常住地址',
        key: 'MemUsualAddress',
        fieldType: 'text', 
        colSpan:2,
      }
    ];
      var list = function (){
        return self.state.tags.map(
        (col, index) => {
          var res = [];
            if(self.state.tags[index].length == 2){
              res.push(<Row gutter={16}>
                <Col span={12}>
                  <Panel title={self.state.tags[index][0][0]} > 
                    <EditableTagGroup 
                        tags={self.state.tags[index][0][1]}
                        option = {{MemberPhone:MemberPhone,type:self.state.tags[index][0][0]}}
                        onCancelTag={self.handleCancelTag.bind(self)}
                        onCreateTag={self.handleCreateTag.bind(self)}
                        showModalTag={self.showModalTag}
                    ></EditableTagGroup>
                  </Panel>
                </Col>
                <Col span={12}>
                  <Panel title={self.state.tags[index][1][0]} > 
                    <EditableTagGroup 
                        tags={self.state.tags[index][1][1]} 
                        option = {{MemberPhone:MemberPhone,type:self.state.tags[index][1][0]}}
                        onCancelTag={self.handleCancelTag.bind(self)}
                        onCreateTag={self.handleCreateTag.bind(self)}
                        showModalTag={self.showModalTag}
                    ></EditableTagGroup>
                  </Panel>
                </Col>
                </Row>)
              }else{
                res.push(<Row gutter={16}>
                  <Col span={12}>
                    <Panel title={self.state.tags[index][0][0]} > 
                      <EditableTagGroup 
                          tags={self.state.tags[index][0][1]}
                          option = {{MemberPhone:MemberPhone,type:self.state.tags[index][0][0]}}
                          onCancelTag={self.handleCancelTag.bind(self)}
                          onCreateTag={self.handleCreateTag.bind(self)}
                          showModalTag={self.showModalTag}
                      ></EditableTagGroup>
                    </Panel>
                  </Col>
                  </Row>)
              }
          return res
      });
    }

    //个人用户信息
    return ( 
      <Spin spinning={this.state.queryLoading} tip="数据加载中...">
        <table>
        <tr gutter={24}>
          <td><span>姓名:</span>{self.state.members&&self.state.members.length>0?self.state.members[0].MemberNickName:""}
        </td>
        </tr>
         <tr gutter={24}>
        <td span={8} > 
        <span>手机号:</span>
          {self.state.members&&self.state.members.length>0?self.state.members[0].MemUsualPhone:""}
          
        </td>
        <td span={8} > 邮箱:
          {self.state.members&&self.state.members.length>0?self.state.members[0].MemEmail:""}
        </td>
        <td span={8} > 
        性别:
          {self.state.members&&self.state.members.length>0?(self.state.members[0].MemberGender ==1?"男":"女"):""}
        </td>
        </tr>
        <tr gutter={24}>
        <td span={8} > 出生日期:
          {self.state.members&&self.state.members.length>0?self.state.members[0].MemberBirthday:""}
        </td>
        <td span={8} > 
        地址:
          {self.state.members&&self.state.members.length>0?self.state.members[0].MemUsualAddress:""}
        </td>
        </tr>
        </table>
      <Tabs defaultActiveKey="用户标签" style={{background:'#fff'}} >
        <TabPane tab="实名信息" key="实名信息">
          <Card>
          <BirdForm fields={fields} lineCapacity={1} saveUrl={'/web/mem_memberexts/EditMemberExts'} withTab={false} 
            value={self.state.memberexts&&self.state.memberexts.length>0?self.state.memberexts[0]:{}} 
            row2col={true} showText={true} disableDoubleClick={false} />
           </Card>
        </TabPane>
        <TabPane tab="健康档案" key="健康档案">
          {/* <table bordered className="table table-bordered">
            <TrData users={this.state.users}/>
          </table> */}
          {/* <Table  columns={columns1} dataSource={data1} bordered  pagination={ false }/> */}
          <Card>
          <BirdForm fields={fieldsMemHealthDoc} lineCapacity={1} saveUrl={'/web/mem_memberhealth/EditMemberHealthDoc'} withTab={false} 
            value={self.state.healthDocs&&self.state.healthDocs.length>0?self.state.healthDocs[0]:{}} 
            row2col={true} showText={true} disableDoubleClick={false} />
           </Card>
        </TabPane>
        <TabPane tab="就诊处方" key="就诊处方">
          <div>
                <Radio.Group defaultValue="prescriptiono1" onChange={this.prescriptionohandleChange.bind(this)} ref="radio">
                  <Radio.Button value="prescriptiono1">处方列表</Radio.Button>
                  <Radio.Button value="prescriptiono2">用药列表</Radio.Button>
                </Radio.Group>
              <div style={this.state.hidegrid?{}:{display:'none'}}><BirdGrid gridOption={gridOptions1}  ref="grid1"/></div>
              <div style={this.state.hidegrid?{display:'none'}:{}}><BirdGrid gridOption={gridOptions2}  ref="grid2"/></div>
          </div>
        </TabPane>
        <TabPane tab="购药历史" key="购药历史">
            <div>
                <Radio.Group defaultValue="Purchase1" onChange={this.PurchasehandleChange.bind(this)} ref="radio">
                  <Radio.Button value="Purchase1">订单列表</Radio.Button>
                  <Radio.Button value="Purchase2">商品列表</Radio.Button>
                </Radio.Group>
              <div style={this.state.hidegrid1?{}:{display:'none'}}><BirdGrid gridOption={gridOptions3}  ref="grid3"/></div>
              <div style={this.state.hidegrid1?{display:'none'}:{}}><BirdGrid gridOption={gridOptions4}  ref="grid4"/></div>
            </div>
        </TabPane>
        {/* <TabPane tab="收货历史" key="收货历史">
            <div>
                <Radio.Group defaultValue="Receiving1" onChange={this.ReceivinghandleChange.bind(this)} ref="radio">
                  <Radio.Button value="Receiving1">订单列表</Radio.Button>
                  <Radio.Button value="Receiving2">商品列表</Radio.Button>
                </Radio.Group>
              <div style={this.state.hidegrid2?{}:{display:'none'}}><BirdGrid gridOption={gridOptions3}  ref="grid5"/></div>
              <div style={this.state.hidegrid2?{display:'none'}:{}}><BirdGrid gridOption={gridOptions4}  ref="grid6"/></div>
            </div>
        </TabPane> */}
        <TabPane tab="用户标签" key="用户标签">
            <div>
              <Button type="primary" onClick={this.showModalTag}>
                添加标签
              </Button>
              <TagCreateForm
                wrappedComponentRef={this.saveFormRefTag}
                visibleTag={this.state.visibleTag}
                onCancelTag={this.handleCancelTag.bind(this)}
                onCreateTag={this.handleCreateTag.bind(this)}
                data={{MemberPhone:MemberPhone, 
                  type:this.state.TagTypeName,
                  afterCheckCall:self.afterTagCheckCall.bind(this),
                  beforeCheckCall:self.beforeTagCheckCall.bind(this)}}
              />
            </div>
            {     
              list()
            }
        </TabPane>
        <TabPane tab="好友列表" key="好友列表">
          <BirdGrid gridOption={gridOptions5}/>
        </TabPane>
        <TabPane tab="使用终端" key="使用终端">
            <div>
                  <Radio.Group defaultValue="doc1" onChange={this.dochandleChange.bind(this)} ref="radio">
                    {/* <Radio.Button value="doc1">平台列表</Radio.Button> */}
                    <Radio.Button value="doc2">终端列表</Radio.Button>
                  </Radio.Group>
                <div style={this.state.hidegrid3?{}:{display:'none'}}><BirdGrid gridOption={gridOptions6}  ref="grid7"/></div>
                <div style={this.state.hidegrid3?{display:'none'}:{}}><BirdGrid gridOption={gridOptions6}  ref="grid8"/></div>
            </div>
        </TabPane>
        <TabPane tab="基本信息" key="基本信息">
                  
          <div>
            {/* <Badge dot>
              <Icon type="notification" />
            </Badge>*/}
            <Badge count={0} dot>
              <Icon type="notification" />
            </Badge> 
            <Badge >
              <a href="javascript:void(0);" onClick={self.onHistMemExtsClick.bind(self)}>
                档案版本
              </a>
            </Badge>
              &nbsp;当前有{self.state.temsCount}个版本
          </div>
          <Card>
          <BirdForm fields={fieldsMemBase} lineCapacity={1} saveUrl={'/web/Mem_memberinformation/EditMemberBase'} withTab={false} 
            value={self.state.members&&self.state.members.length>0?self.state.members[0]:false} 
            row2col={true} showText={true} disableDoubleClick={false} />
           </Card>
            <EditMemberExtTempInfo visible={this.state.tempVisible} 
            onCancel={self.onHistMemExtsCancel.bind(self)}
            onCreate={self.onHistMemExtsCreate.bind(self)}
            MemberPhone={MemberPhone}></EditMemberExtTempInfo>
        </TabPane>
        <CollectionCreateForm
            wrappedComponentRef={this.saveFormRef}
            visible={this.state.visible}
            onCancel={this.handleCancel}
            onCreate={this.handleCreate}
            orderinfo={this.state.orderinfo}
            odersproduct={this.state.odersproduct}
        /> 
      </Tabs> 
      </Spin>
    )
  }
}
export default BirdGridmem_prescriptionPage;
