import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils';

const { JAPIV } = config;

class ProductData extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }

  handleRedirc = (data) => {
    console.log(data);
    const w = window.open('about:blank');
    w.location.href = "productTags?ObjectId=" + data.ProductCode
}

  render() { 
    var json={"query":"select a.AppreciationPrice  from product a limit 2"};
    let gridOption = {
      title: "ES商品信息",
      url: {
        read: JAPIV + "/productData/productDataCondition"
      },
      checkable: false,
      primaryKey:"ProductCode",
      columns: [
        // { title: "ID", data: "ProductCode", type: "text", editor: {}, isRequired: true ,hide: true},
        { title: "商品编码", data: "ProductCode", type: "text", editor: {}, isRequired: true },
        { title: "商品名称", data: "ProductName", type: "text", editor: {}, query: true, isRequired: true },
        { title: "价格", data: "AppreciationPrice", type: "text", editor: {}, isRequired: true ,hide:true},
        { title: "商品类型", data: "ProductType", type: "text", editor: {}, isRequired: true },
        { title: "商品规格", data: "Packing", type: "text", editor: {}, isRequired: true },
        { title: "生产厂家", data: "Manufacturer", type: "text", editor: {}, isRequired: true },
        { title: "批准文号", data: "ApprovalNumber", type: "text", editor: {}, isRequired: true },
        {
            title: "操作", type: "command", actions: [{
                name: '标签',
                color: '#67c23a',
                onClick: (data) => {
                    this.handleRedirc(data);
                }
            }]
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default ProductData;