import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridPermissionPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }


  render() {
    let gridOption = {
      title: "库存查询",
      url: {
        read: "/web/stock/getData"
      },
      checkable: false,
      //actions: [{ name: '外部按钮', color: 'error', onClick: function () { } }],
      columns: [
        { title: "商品Id", data: "GoodsId", type: "text" ,hide: true},
        { title: "商品", data: "GoodsName", type: "text" ,query: true},
        //{ title: "企业ID", data: "EntId", type: "text", editor: {} },
        { title: "库管件数", data: "PlacePack", type: "number", editor: {}, query: false },
        { title: "库管数量", data: "PlaceNum", type: "number", editor: {}, query: false },
        { title: "库存件数", data: "StorPack", type: "number", editor: {}, query: false },
        { title: "库存数量", data: "StorNum", type: "number", editor: {}, query: false },
        { title: "库存上限", data: "StorMax", type: "number", editor: {}, hide: false },
        { title: "库存下限", data: "StorMin", type: "number", editor: {}, hide: false },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}

export default BirdGridPermissionPage
