import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config,util,permission } from 'utils'
const { APIV3 } = config

class BirdGridPermissionPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }


  render() {
    let password = function (){return util.string.generateRandom(5);};
    let gridOption = {
      title: "当前待推送业务员列表",
      url: {
        read: "/web/user/pendingcontacts",
        edit: "/web/user/addContact",
        edit_title: "添加账户",
      },
      checkable: true,
      columns: [
        { title: "产品id", data: "GoodsId", type: "text" ,hide:true,query:true,hide:true},
        { title: "联系人", data: "Contact", type: "text", editor: {ep:"disabled",isRequired: true} },//
        { title: "联系人id", data: "ContactId", type: "text", editor: {ep:"disabled",isRequired: true},hide:true },//
        { title: "联系人code", data: "ContactCode", type: "text", editor: {ep:"disabled",isRequired: true},hide:true },//
        { title: "产品编码", data: "GoodsCode", type: "text", editor: {ep:"disabled",isRequired: true} ,query:true},//
        { title: "产品名称", data: "GoodsName", type: "text", editor: {ep:"disabled",isRequired: true} ,query:true},//
        { title: "供应商id", data: "BusinessId", type: "text" ,hide:true},
        { title: "供应商编码", data: "BusinessCode", type: "text" },
        { title: "供应商名称", data: "BusinessName", type: "text" },
        { title: "联系人编码", data: "ContactCode", type: "text",  query: true },
        { title: "联系人", data: "Contact", type: "text",  editor: {isRequired: true},  query: true ,},
        { title: "账户id", data: "UserId", type: "text",  editor: {ep:"disabled"},  query: true ,},

        { title: "账户密码", data: "AccountPassword", type: "text", editor: {isRequired: true,value:password},  query: true ,hide:true},
        { title: "微信openid", data: "FocusMicNo", type: "text", editor: {ep:"disabled"},  query: true ,},
        //{ title: "微信账户", data: "MicroInfo", type: "text",  editor: {},  query: true },
        { title: "身份证号", data: "IdCard", type: "text", query: true,hide:true },
        { title: "电话", data: "Telephone", type: "text", editor: {ep:"disabled"}, query: true },
        { title: "手机号（默认账号）", data: "Mobile", type: "text", editor: {isRequired: true}, query: true },
        { title: "供应商Id", data: "SuppliersId", type: "text",  query: false },
        // { title: "富文本", data: "field-richtext", type: "richtext", editor: {}, query: true },
        {
          title: "操作选项", type: "command", actions: [/*{
            name: '行内按钮',
            color: '#67c23a',
            onClick: (data) => {
              
              window.location.href = "/bird-supplierform";
              console.log(data);
            }
          }*/]
        }
      ]
    };
    return <BirdGrid gridOption={gridOption}/>
  }
}
export default BirdGridPermissionPage
