import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config,util } from 'utils'
const { APIV3 } = config

class BirdGridPermissionPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }


  render() {
    let password = function (){return util.string.generateRandom(5);};
    let gridOption = {
      title: "供应商联系人列表",
      url: {
        read: "/web/user/pushcontacts",
        //add: "/web/user/add",
        edit: "/web/user/addContact",
        edit_title: "添加供应商账户",
        //delete: "/web/user/delete"
      },
      checkable: true,
      pageSize:15,
      // customRules:[{field:"State",operate:"equal",value:"0"}],
      columns: [
        { title: "联系人id", data: "ContactId", type: "text", editor: {ep:"disabled",isRequired: true},hide:true },
        { title: "联系人", data: "Contact", type: "text", editor: {isRequired: true}, query: false },
        { title: "电话", data: "Telephone", type: "text", query: false, editor: {} },
        { title: "手机号", data: "Mobile", type: "text", editor: {isRequired: true}, query: true },
        { title: "联系人编码", data: "ContactCode", type: "text",  query: false ,hide:true},
        
        { title: "账户密码", data: "AccountPassword", type: "text", editor: {isRequired: true,value:password},  hide:true},
        { title: "微信openid", data: "FocusMicNo", type: "text", editor: {ep:"disabled"},  query: false ,},
        { title: "绑定账户Id", data: "UserId", type: "text",query:true },
        { title: "身份证号", data: "IdCard", type: "text",  query: false,hide:true },
        { title: "地址", data: "Address", type: "text",  query: false,hide:true },
        { title: "传真", data: "Fax", type: "text", query: false,hide:true },
        { title: "供应商Id", data: "SuppliersId", type: "text",hide:true },
        { title: "供应商", data: "BusinessName", type: "text" },
        { title: "委托书有效期", data: "ConsCertDate", type: "date",  query: false },
        // { title: "富文本", data: "field-richtext", type: "richtext", editor: {}, query: true },
        {
          title: "操作选项", type: "command", actions: [/*{
            name: '行内按钮',
            color: '#67c23a',
            onClick: (data) => {
              
              window.location.href = "/user/bird-supplierform";
              console.log(data);
            }
          }*/]
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridPermissionPage
