import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridPermissionPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }


  render() {
    let gridOption = {
      title: "内部人员列表",
      url: {
        read: "/web/user/pushstaffs",
        //add: "/web/user/add",
        edit: "/web/user/addIntenel",
        edit_title:"添加采购员",
        //delete: "/web/user/delete"
      },
      checkable: true,
      //actions: [{ name: '外部按钮', color: 'error', onClick: function () { } }],
      columns: [
        { title: "用户id", data: "STAFFID", type: "text", editor: {ep:"disabled",isRequired: true},hide:true },//
        { title: "联系人", data: "STAFFNAME", type: "text", editor: {isRequired: true}, query: true ,},
        { title: "联系人编码", data: "STAFFCODE", type: "text",  query: true },
        { title: "身份证号", data: "IDCARD", type: "text",hide:true },
        { title: "地址", data: "ADDRESS", type: "text", query: true,hide:true },
        { title: "手机号", data: "MOBILE", type: "text", editor: {isRequired: true}, query: true },//
        { title: "电话", data: "TELEPHONE", type: "text", editor: {}, query: true },//
        { title: "邮箱", data: "EMAIL", type: "text", editor: {}, query: true },
        { title: "企业Id", data: "ENTID", type: "text", query: true,hide:true },
        { title: "创建时间", data: "CREATETIME", type: "datetime",hide:true },

        
        { title: "密码", data: "AccountPassWord", type: "text", editor: {isRequired: true} ,hide:true},//
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridPermissionPage
