import React from 'react';
import { Card, Button } from 'antd';

//这个是一个装住内容的卡片， 内容可以是iframe或是另一个react组件

export default class LayoutCard extends React.Component {
    constructor(props) {
        super(props);
        this.state = {

        }
    }

    render() {
        let closeDom = <Button type="danger" size="small" shape="circle" icon="close" onClick={this.props.onDel}></Button>;
        if(!this.props.active) {
            closeDom = <div></div>;
        }
        let titleOpt = (
            <div>
                <span style={{marginRight:"15px"}}>{this.props.title}</span>
                {closeDom}
            </div>
        );

        return (
            <Card
                title={titleOpt} 
                // title={this.props.title}
                style={{height:"100%", width:"100%",padding:"0px"}}
                headStyle={{backgroundColor:"#fafafa"}}
                size="small" 
                // extra={closeDom}
                >
                {this.props.content}
            </Card>
        );
    }
}

export class LayoutIframeCard extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
        }
    }

    // componentDidMount() {
    //     window.addEventListener('resize', this.onWindowResize)
    // }
    // componentWillUnmount() {
    //     window.removeEventListener('resize', this.onWindowResize)
    // }


    render() {
        let closeDom = <Button type="danger" size="small" shape="circle" icon="close" onClick={this.props.onDel}></Button>;
        if(!this.props.active) {
            closeDom = <div></div>;
        }
        let titleOpt = (
            <div>
                <span style={{marginRight:"15px"}}>{this.props.title}</span>
                {closeDom}
            </div>
        );

        return (
            <Card 
                title={titleOpt}
                // title={this.props.title}
                size="small" 
                style={{height:"100%", width:"100%"}}
                headStyle={{backgroundColor:"#fafafa"}}
                bodyStyle={{height:"90%", width:"100%",padding:"0px"}}
                // extra={closeDom}
                >
                    
                <iframe 
                    src={this.props.url}
                    id={"if"+this.props.id}
                    style={{height:"100%", width:"100%"}} 
                    frameBorder="no"
                    scrolling="no"  
                ></iframe>
                <div style={{backgroundColor:"white", height:"10px"}}></div>
            </Card>
        );
    }
}