import React from 'react';
import { config, request, permission, util } from 'utils'
import { jrequest } from 'utils/request';
import { Row, Col, Button, Form, Select, Checkbox, Input, Modal } from 'antd';
import DetailHeader from './DetailHeader';
import AddFolder from './Modals/AddFolder.js';
import AddDataSource from './Modals/AddDataSource.js';

class RootDetail extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            addFolderVisable: false,
            addDsVisable: false,
        }
    }

    render(){
        let buttons;
        if(this.props.nodeDetail.nodeType === 'DB') {
            buttons = [<AddDataSource key={this.props.nodeDetail.nodeType} realNode={this.props.nodeDetail.realNode} afterOk={this.props.refreshTreeNode}/>];
        } else {
            buttons = [<AddFolder key={this.props.nodeDetail.nodeType} realNode={this.props.nodeDetail.realNode} afterOk={this.props.refreshTreeNode} />]
        }

        return (
            <div>
                {buttons}
            </div>
        );
    }
}

export default RootDetail