import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridUserPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "用户管理",
      url: {
        read: "/web/CM_User/index",
        add: "/web/CM_User/add",
        edit: "/web/CM_User/edit",
        delete: "/web/CM_User/delete"
      },
      checkable: true,
      columns: [
        { title: "用户id", data: "UserId", type: "text" ,hide:true},
        { title: "组织名称", data: "OrgId", type: "dropdown", editor: {},source: { url: '/web/OrgRole/Orgs' }, query: true},
        { title: "登录名称", data: "LoginName", type: "text", editor: {}, query: true, isRequired: true },
        { title: "用户名称", data: "UserName", type: "text", editor: {}, query: true, isRequired: true },
        { title: "IsActive", data: "IsActive", type: "text", editor: {}, query: true, isRequired: true ,hide:true},
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridUserPage
