import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridES_MemFriendsPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() { 
    var json={"query":"select a.AppreciationPrice  from product a limit 2"};
    let gridOption = {
      title: "ES会员好友列表",
      url: {
        read: "/web/ES_MemFriends/index"
      },
      checkable: true,
      primaryKey:"id",
      columns: [
        { title: "ID", data: "_id", type: "text", editor: {}, isRequired: true },
        { title: "编号", data: "MemberFriendsKey", type: "text", editor: {}, isRequired: true },
        { title: "商品名", data: "MemberCrtTime", type: "text", editor: {}, query: true, isRequired: true },
        { title: "价格", data: "MemberKey", type: "text", editor: {}, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridES_MemFriendsPage
