import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridElasticPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() { 
    var json={"query":"select a.AppreciationPrice  from product a limit 2"};
    let gridOption = {
      title: "ES商品信息",
      url: {
        read: "/web/ES_Memproduct/index"
      },
      checkable: true,
      primaryKey:"id",
      columns: [
        { title: "ID", data: "_id", type: "text", editor: {}, isRequired: true },
        { title: "编号", data: "ManufacturerCode", type: "text", editor: {}, isRequired: true },
        { title: "商品名", data: "CommonTitle", type: "text", editor: {}, query: true, isRequired: true },
        { title: "价格", data: "AppreciationPrice", type: "text", editor: {}, isRequired: true },
        { title: "商品类型", data: "ProductType", type: "text", editor: {}, isRequired: true },
        { title: "商品规格", data: "Packing", type: "text", editor: {}, isRequired: true },
        { title: "生产厂家", data: "Manufacturer", type: "text", editor: {}, isRequired: true },
        { title: "批准文号", data: "ApprovalNumber", type: "text", editor: {}, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridElasticPage
