import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridMem_LogisticsentPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "产品管理",
      url: {
        read: "/web/Mem_Logisticsent/index",
        add: "/web/Mem_Logisticsent/add",
        edit: "/web/Mem_Logisticsent/edit",
        delete: "/web/Mem_Logisticsent/delete"
      },
      checkable: true,
      columns: [
        { title: "ID", data: "LogisticsEntKey", type: "text" ,hide:true},
        { title: "LogisticsEntCode", data: "LogisticsEntCode", type: "text", editor: {}, query: true, isRequired: true },
        { title: "快递企业", data: "LogisticsEntName", type: "text", editor: {}, query: true, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridMem_LogisticsentPage
