import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridMem_PayplatformPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "支付平台列表",
      url: {
        read: "/web/Mem_Payplatform/index",
        add: "/web/Mem_Payplatform/add",
        edit: "/web/Mem_Payplatform/edit",
        delete: "/web/Mem_Payplatform/delete"
      },
      checkable: true,
      columns: [
        { title: "ID", data: "PayPlatFormKey", type: "text" ,hide:true},
        { title: "支付方式", data: "PayPlatFormName", type: "text", editor: {}, query: true, isRequired: true },
        { title: "PayPlatFormCode", data: "PayPlatFormCode", type: "text", editor: {}, query: true, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridMem_PayplatformPage
