import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config } from 'utils'
const { APIV3 } = config

class BirdGridMem_ProductCategoryPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }
  render() {
    let gridOption = {
      title: "产品管理",
      url: {
        read: "/web/Mem_ProductCategory/index",
        add: "/web/Mem_ProductCategory/add",
        edit: "/web/Mem_ProductCategory/edit",
        delete: "/web/Mem_ProductCategory/delete"
      },
      checkable: true,
      columns: [
        { title: "ID", data: "CategoryCode", type: "text" },
        { title: "类别名", data: "CategoryName", type: "text", editor: {}, query: true, isRequired: true },
        { title: "SortKey", data: "SortKey", type: "text", editor: {}, query: true, isRequired: true },
        {
          title: "操作选项", type: "command", actions: []
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}
export default BirdGridMem_ProductCategoryPage
