import { Table, Divider, Tag,Icon,Input, Select } from 'antd';

// const columns = [
//   {
//     title: 'Name',
//     dataIndex: 'name',
//     key: 'name',
//     render: text => <a>{text}</a>,
//   },
//   {
//     title: 'Age',
//     dataIndex: 'age',
//     key: 'age',
//   },
//   {
//     title: 'Address',
//     dataIndex: 'address',
//     key: 'address',
//   },
//   {
//     title: 'Tags',
//     key: 'tags',
//     dataIndex: 'tags',
//     render: tags => (
//       <span>
//         {tags.map(tag => {
//           let color = tag.length > 5 ? 'geekblue' : 'green';
//           if (tag === 'loser') {
//             color = 'volcano';
//           }
//           return (
//             <Tag color={color} key={tag}>
//               {tag.toUpperCase()}
//             </Tag>
//           );
//         })}
//       </span>
//     ),
//   },
//   {
//     title: 'Action',
//     key: 'action',
//     render: (text, record) => (
//       <span>
//         <a>Invite {record.name}</a>
//         <Divider type="vertical" />
//         <a>Delete</a>
//       </span>
//     ),
//   },
// ];

class demoTable extends React.Component {
        
    constructor(props) {
        super(props);
        this.state = {
            size:2
        }
    }
    render(){
        
    let columns = [
        {
        title: '尺寸名称',
        dataIndex: 'name',
        filterDropdown: true,
        filterIcon: <Icon type="edit"/>,
        render: () => <Input />,
        },
        {
        title: '标准尺寸',
        dataIndex: 'standard',
        filterDropdown: true,
        filterIcon: <Icon type="edit"/>,
        render:() => <Input />,
        },
        {
        title: '上偏差',
        dataIndex: 'upper_deviation',
        filterDropdown: true,
        filterIcon: <Icon type="edit"/>,
        render:() => <Input />,
        },
        {
        title: '下偏差',
        dataIndex: 'lower_deviation',
        filterDropdown: true,
        filterIcon: <Icon type="edit"/>,
        render: () => <Input />,
        },
        {
        title: '工序',
        dataIndex: 'procedure',
        filterDropdown: true,
        filterIcon: <Icon type="edit"/>,
        render: () => <Select />
        },
        {
        title: '操作',
        dataIndex: 'operation',
        render: (text, record) => (
        this.state.size.length >= 1
        ? (
        <Popconfirm title="确定删除该信息?" onConfirm={() => this.handleDelete(record.key)}>
        <a href="javascript:;">删除</a>
        </Popconfirm>
        ) : null
        ),
    }
    ];

    let data = [
    {
        key: '1',
        name: 'John Brown',
        age: 32,
        address: 'New York No. 1 Lake Park',
        tags: ['nice', 'developer'],
    },
    {
        key: '2',
        name: 'Jim Green',
        age: 42,
        address: 'London No. 1 Lake Park',
        tags: ['loser'],
    },
    {
        key: '3',
        name: 'Joe Black',
        age: 32,
        address: 'Sidney No. 1 Lake Park',
        tags: ['cool', 'teacher'],
    },
    ];
        return (<Table columns={columns} dataSource={data} />);
    }
}

export default demoTable;