import React from 'react';
import Link from 'umi/link';
import GridLayout from 'react-grid-layout';
import LayoutBox from '../../components/DynamicLayout/LayoutBox';
import LayoutWindow from '../../components/DynamicLayout/LayoutWindow';
import { Row, Col } from 'antd';


export default class IndexPage extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            triggerTime: 0,
            search: props.location.search
        }
    }

    componentDidMount() {
        // let originWidth = window.innerWidth;
        // let originHeight = window.innerHeight;
        // window.onresize = (e) => {
        //     let w = e.target.innerWidth;
        //     let h = e.target.innerHeight;
        //     if(w > originWidth || h > originHeight) {
        //         let t = new Date().getTime();
        //         this.setState({triggerTime:t});
        //     }
        //     //重新赋值
        //     originWidth = w;
        //     originHeight = h;
        // }
        window.onresize = () => {
            let doms = document.querySelectorAll("iframe");
            console.log(doms);
            for (let i = 0; i < doms.length; i++) {
                let dom = doms[i];
                if(dom.style.height === "99%" && dom.style.width === "99%") {
                    dom.style.height = "100%";
                    dom.style.width = "100%";
                } else {
                    dom.style.height = "99%";
                    dom.style.width = "99%";
                }
            }
        }
    }

    render() {
        let href = this.state.search === "" ? "/indexManager/indexManager" : "/indexManager/indexManager" + this.state.search;
        return (
            <div style={{backgroundColor:"white"}}>
                <Row>
                    <LayoutWindow key={this.state.triggerTime} query={this.state.search} title="工作站" active={false} />
                </Row>
                <Row>
                    <Col span={2} offset={11}>
                        <a href={href}>设置页面应用展示</a>
                    </Col>
                </Row>
            </div>
        );
    }
}