import React from 'react';
import { Form,
  Select,
  InputNumber,
  Switch,
  Radio,
  Slider,
  Button,
  Upload,
  Icon,
  Rate,
  Checkbox,
  Spin,
  Row,
  Col,
  Input,
  Table,
  message,Steps, Popover,Modal} from 'antd';
import { config,util,request } from 'utils'
import './mem_product.less';
const { APIV3,APIV4 } = config
const { Step } = Steps;
const InputGroup = Input.Group;
const { TextArea } = Input;
class BirdFormDemoPage extends React.Component {
  constructor(props) {
    super(props); 
    let outputEntity=this.props.location.query.params;
      
    this.state = {
      checkNick: false,
      orderObj:outputEntity,
      logArr:[],
      msgStr:"",
      orderMsg:{ordesc:"",orurl:"",oredit:""},
      updateLoading:false,
      conLoading:false
    }
  }

  //获取订单日志
  componentDidMount(){
    let self=this
    let orderCode=self.state.orderObj.OrdersCode
    if(orderCode!=null){
      let user = util.auth.getUser();
      request({
        url: APIV4+"/memorder/getProductLog?productCode="+orderCode,
        method: "get"
        //data:{orderCode:orderCode}
      }).then(function (result) {
        if(result!=null&&result.obj!=null){
          if(result.obj!=null&&result.obj.length>0){
            var text=result.obj[0].text
            var strs=text.split("微信推送状态")[0];
            strs="历史发送消息："+strs
            self.setState({
              msgStr:strs
            })
          }
          self.setState({
            logArr:result.obj
          })
        }

      })
    }   
  }

  cancelClick(){
    this.setState({
      formVisiable: false,
      formConfirmLoading: false
    });    
  }

  cancelClick1(){
    this.setState({
      formVisiable1: false
    }); 
  }

  cancelClick2(){
    this.setState({
      formVisiable2: false
    }); 
  }
  //审核订单
  okClick(){
    let self= this
    let orderObj=self.state.orderObj
    if(orderObj.OrdersCode!=null){
      let orderMsg = self.state.orderMsg
      if(orderObj.ProductObject==2){
        if(orderMsg.ordesc==null||orderMsg.orurl==null||orderMsg.ordesc==""||orderMsg.orurl==""){
          message.error("信息有误，请重新填写！");
          return;
        }
      }
      orderMsg["orderCode"]=orderObj.OrdersCode;
      let user = util.auth.getUser();
      self.setState({
        updateLoading:true,
        conLoading:true  
      })
      request({
        url: APIV4+"/memorder/editOrder?MemberId="+user.id+"&MemberName="+user.rolename,
        method: "post",
        data:orderMsg
      }).then(function (result) {       
        if(result.msg.indexOf("成功")!=-1){
          message.success(result.msg);
          window.location.href="/ingproduct/mem_order";
        }else{
          message.error(result.msg);
        }
      })     
    }
  }


  //取消订单
  okClick1(){
    let self= this
    let orderObj=self.state.orderObj
    self.setState({
      updateLoading:true,
      conLoading:true  
    })
    if(orderObj.OrdersCode!=null){
      let orderMsg = self.state.orderMsg
      if(orderObj.ProductObject==2){
        if(orderMsg.oredit==null||orderMsg.oredit==""){
          message.error("信息有误，请重新填写！");
          return;
        }
      }
      orderMsg["orderCode"]=orderObj.OrdersCode;
      let user = util.auth.getUser();
      request({
        url: APIV4+"/memorder/callOrder?MemberId="+user.id+"&MemberName="+user.rolename,
        method: "post",
        data:orderMsg
      }).then(function (result) {
        if(result!=null){
          window.location.href="/ingproduct/mem_order";
        }
      })     
    }
  }

  orderClick = e => {
    if(e==3){
      this.setState({
        formVisiable1: true
      });
    }else if(e==4){
      this.setState({
        formVisiable2: true
      });
    }else{
      this.setState({
        formVisiable: true,
        formConfirmLoading: true
      });
    }

  };

 
  updateInput(itme,event){//输入框
    let self= this
    let orderMsg=self.state.orderMsg;
    orderMsg[itme]=event.target.value;
    self.setState({orderMsg:orderMsg})
  }

  render() {
    let self=this
    let {orderObj,logArr}=self.state;
    let customDot=[];

    let logTag=[];//日志
    if(logArr!=null&&logArr.length>0){
      logTag = logArr.map((data, rowIndex) => {
        logTag=[<tr><td>{data.creationDate}</td><td>{data.memberId}</td><td>{data.memberName}</td><td>{data.key}</td></tr>]
        return logTag;
      })      
    }

    var ProductObject=orderObj.ProductObject
    let steStr=[]
    
    if(orderObj.OrderState==6){
      steStr.push(<Steps current={0} progressDot={customDot}>
      <Step title="订单已取消"/>
      </Steps>)
    }else{
      if(ProductObject==2){//虚拟商品进度
        if(orderObj.OrderState==5){
          orderObj.OrderState=3;
        }
        //订单状态进度条
        if(orderObj.OrderState==2){
          /*customDot=(dot, { status, index }) => (
            <Popover content={<Col><Button type="primary" onClick={self.orderClick.bind(self,"1")} block>确认订单</Button><br/><br/><Button onClick={self.orderClick.bind(self,"3")} block>取消订单</Button></Col>}>
              {dot}
            </Popover>
          );*/
          customDot.push(<div style={{margin:"50px 40% 20px 40%",width:"15%"}}><Col><Button type="primary" onClick={self.orderClick.bind(self,"1")} block>确认订单</Button><br/><br/><Button onClick={self.orderClick.bind(self,"3")} block>取消订单</Button></Col></div>)
        }else if(orderObj.OrderState==3){

          customDot.push(<div style={{margin:"50px 0% 20px 85%",width:"15%"}}><Col><Button onClick={self.orderClick.bind(self,"2")} type="primary" block>重新发放</Button></Col></div>)
          /*
          customDot=(dot, { status, index }) => (
            <Popover content={<Col><Button onClick={self.orderClick.bind(self,"2")} type="primary" block>重新发放</Button></Col>}>
              {dot}
            </Popover>
          );*/
        }
        steStr.push(<Steps current={orderObj.OrderState!=null?(orderObj.OrderState-1):0} /*progressDot={customDot}*/>
        <Step title="待支付"/>
        <Step title="待审核"/>
        <Step title="已完成"/>
        </Steps>)
      }else{//实物商品进度
        var OrderState=orderObj.OrderState;
        if(orderObj.OrderState==2){
          /*
          customDot=(dot, { status, index }) => (
            <Popover content={<Col><Button type="primary" onClick={self.orderClick.bind(self,"4")} block>确认订单</Button><br/><br/><Button onClick={self.orderClick.bind(self,"3")} block>取消订单</Button></Col>}>
              {dot}
            </Popover>
          );*/
          customDot.push(<div style={{margin:"50px 40% 20px 40%",width:"15%"}}><Col><Button type="primary" onClick={self.orderClick.bind(self,"4")} block>确认订单</Button><br/><br/><Button onClick={self.orderClick.bind(self,"3")} block>取消订单</Button></Col></div>)
        }else if(orderObj.OrderState==3){
          customDot.push(<div style={{margin:"50px 40% 20px 40%",width:"15%"}}><Col><Button type="primary" onClick={self.okClick.bind(self)} block>完成订单</Button><br/></Col></div>)
          /*
          customDot=(dot, { status, index }) => (
            <Popover content={<Col><Button type="primary" onClick={self.okClick.bind(self)} block>完成订单</Button><br/></Col>}>
              {dot}
            </Popover>
          );*/
        }

        if(OrderState==5){
          OrderState=4
        }
        steStr.push(<Steps current={orderObj.OrderState!=null?(orderObj.OrderState-1):0} progressDot={customDot}>
        <Step title="待支付"/>
        <Step title="待审核"/>
        <Step title="待发货"/>
        <Step title="已完成"/>
        </Steps>)
      }
    }



    return (
      <Spin spinning={self.state.updateLoading} tip="数据提交中...">
      <div style={{width:"80%",margin:"10px 0 0 10%",padding:"100px 5%",border:'1px solid #CDC9C9',background:"#fff"}}>
       {steStr}
       {customDot}
        {/** 支付信息 */}
        <div className={"orpy_td"} style={{width:"100%",marginTop:"30px"}}>
        <table border="1">
          <tr>
            <td>订单号</td>
            <td>{orderObj.OrdersCode}</td>
            <td>订单时间</td>
            <td>{orderObj.CreationDate}</td>
          </tr>
          <tr>
            <td>兑换积分</td>
            <td>{orderObj.Integral}</td>
            <td>兑换金额</td>
            <td>{orderObj.payPirce!=null?orderObj.payPirce/100.00:0}</td>
          </tr>
          <tr>
            <td>支付方式</td>
            <td>{orderObj.PayType=="100"?"微信支付":"其他"}</td>
            <td>支付时间</td>
            <td>{orderObj.OrderTime}</td>
          </tr>
        </table>  
        <div style={{border:'1px solid #CDC9C9',paddingLeft:"10%"}}>下单备注：{orderObj.BuyRemark}</div>              
        </div>

        {/** 产品信息 */}
        <div className={"orpy_td_v1"} style={{width:"100%",marginTop:"30px"}}>
        <table border="1">
          <tr>
            <th>商品编号</th>
            <th>商品名称</th>
            <th>积分价格(分)</th>
            <th>RMB价格(元)</th>
            <th>供应商名称</th>
            <th>库存</th>
          </tr>
          <tr>
            <td>{orderObj.ProductCode}</td>
            <td>{orderObj.ProductName}</td>
            <td>{orderObj.MarketIng}</td>
            <td>{orderObj.payPirce!=null?orderObj.payPirce/100.00:0}(<span style={{textDecoration:"line-through"}}>{orderObj.MarketPrice!=null?orderObj.MarketPrice/100.00:0}</span>)</td>
            <td>{orderObj.Manufacturer}</td>
            <td>{orderObj.Amount}</td>
          </tr>
        </table>
        </div>

        {/** 订单信息 */}
        <div className={"orpy_td"} style={{width:"100%",marginTop:"30px"}}>
        <table border="1">
          <tr>
            <td>下单人</td>
            <td>{orderObj.nickname}</td>
            <td>下单人手机</td>
            <td>{orderObj.AccountId}</td>
          </tr>
          <tr>
            <td>会员等级</td>
            <td>Lv.{orderObj.ing}</td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td>收货人</td>
            <td>{orderObj.Consignee}</td>
            <td>收货人手机</td>
            <td>{orderObj.AConsigneePhone}</td>
          </tr>
          <tr>
            <td>收货地区</td>
            <td>{orderObj.ADeliveryAddress}</td>
            <td>收货地址</td>
            <td>{orderObj.Address}</td>
          </tr>
        </table>                
        </div>
        
        {/**金额 */}
        <div style={{width:"100%",marginTop:"30px",border:'1px solid #CDC9C9',background:"#fff",fontSize:"17px"}}>
          <div style={{margin:"20px 0 10px 13%"}}><div style={{width:"20%",float:"left"}}>商品价格</div> <div style={{width:"20%",float:"left"}}>物流费用</div></div>
          <div style={{margin:"10px 0 10px 5%"}}>   
          <InputGroup size="default">
          <Row gutter={9}>           
            <Col span={1}>积分 </Col>
            <Col span={4}>
              <Input disabled defaultValue={orderObj.Integral} />
            </Col>
            <Col span={1}>+</Col>
            <Col span={4}>
              <Input disabled defaultValue="0" />
            </Col>
            <Col span={1}>=</Col>
            <Col span={4}>
              <Input disabled defaultValue={orderObj.Integral} />
            </Col>
          </Row>
        </InputGroup> </div>

        <div style={{margin:"20px 0 20px 5%"}}>   
          <InputGroup size="default">
          <Row gutter={9}>           
            <Col span={1}>RMB </Col>
            <Col span={4}>
              <Input disabled defaultValue={orderObj.payPirce!=null?orderObj.payPirce/100.00:0} />
            </Col>
            <Col span={1}>+</Col>
            <Col span={4}>
              <Input disabled defaultValue={orderObj.PostagePrice!=null?orderObj.PostagePrice/100.00:0}/>
            </Col>
            <Col span={1}>=</Col>
            <Col span={4}>
              <Input disabled defaultValue={(orderObj.PayPirce+orderObj.PostagePrice)} />
            </Col>
          </Row>
        </InputGroup> </div>
        </div>


        {/** 订单操作日志 */}
        <div className={"orpy_td"} style={{width:"100%",marginTop:"30px"}}>
        <table border="1">
          <tr>
            <th>时间</th>
            <th>操作账号</th>
            <th>账号名称</th>
            <th>变更内容</th>
          </tr>
          {logTag}
        </table>
        </div>

        <Modal title="审核订单"
          width="65%"
          confirmLoading={self.state.conLoading}
          visible={self.state.formVisiable}
          onCancel={() => self.cancelClick()}
          onOk={() => self.okClick()}>                 
          <Row>
           <Col>
           <div>{self.state.msgStr}</div>
              <div style={{color:"red"}}>该订单商品为虚拟商品，审核订单时，需要下发虚拟商品兑换内容。请填写兑换的入口地址及步骤介绍，通过亮健集团公众号下发至用户。</div>
              <div>操作指引介绍<TextArea value={self.state.orderMsg.ordesc} onChange={self.updateInput.bind(self,"ordesc")}></TextArea></div>
              <div>商品兑换链接<TextArea value={self.state.orderMsg.orurl} onChange={self.updateInput.bind(self,"orurl")}></TextArea></div>
           </Col>
          </Row>
        </Modal>


        <Modal title="取消订单"
          width="40%"
          confirmLoading={self.state.conLoading}
          visible={self.state.formVisiable1}
          onCancel={() => self.cancelClick1()}
          onOk={() => self.okClick1()}>                 
          <Row>
           <Col>
              <div style={{color:"red"}}>取消订单后，用户消费的积分及余额将会原路退回，是否确认取消？</div>
              <div>取消原因：（必填）<TextArea value={self.state.orderMsg.oredit} onChange={self.updateInput.bind(self,"oredit")}></TextArea></div>
           </Col>
          </Row>
        </Modal>


        <Modal title="确认订单"
          width="40%"
          visible={self.state.formVisiable2}
          onCancel={() => self.cancelClick2()}
          onOk={() => self.okClick()}>                 
          <Row>
           <Col>
              <div style={{color:"red"}}>确认有效后，订单将推送至WMS安排发货。是否确认有效？</div>
           </Col>
          </Row>
        </Modal>
        
      </div>
      </Spin>
    )
  }
}

export default BirdFormDemoPage
