import React from 'react';
import { BirdGrid } from 'components/Grid';
import { routerRedux } from 'dva/router'
import { config,request,util } from 'utils'
import { jrequest } from 'utils/request';
import { connect } from 'dva';
import {Modal,
  Row,
  Col,
  message,
  Select,
  InputNumber,
  DatePicker,
  Input
} from 'antd';
const { APIV3,APIV4 } = config;
const { TextArea } = Input;
class tag_setting extends React.Component {
  constructor(props) {
    super(props)

    this.state = {
      formConfirmLoading:false,
      formVisiable:false,
      logVisiable:false,
      numVisiable:false,
      levelProduct:[],//商品等级
      productObj:[],
      productArr:{}
    }
  }

  okClick(){
    let self=this
    let productObj = self.state.productObj;
    let levelProduct = self.state.levelProduct;
    if(productObj!=null && productObj.ProductCode!=null&&levelProduct!=null){
      let user = util.auth.getUser();
      for(var i=0;i<levelProduct.length;i++){    
        levelProduct[i]["marketIng"]=levelProduct[i]["MarketIng"];
        if(levelProduct[i]["MarketPrice"]!=""&&levelProduct[i]["MarketPrice"]!=null){
          levelProduct[i]["marketPrice"]=levelProduct[i]["MarketPrice"]*100;
          var mak =String(levelProduct[i].marketPrice);
          var ing =String(levelProduct[i].marketIng);
          if(mak.indexOf(".")!=-1||ing.indexOf(".")!=-1){
            message.error("格式错误！")
            return;
          }
        }       
        levelProduct[i]["productCode"]=levelProduct[i]["ProductCode"];
        if(levelProduct[i]["MarketIng"]!=null&&levelProduct[i]["MarketPrice"]==null){
          message.error("价格错误！")
          return;
        }
      }
      //定价传递
        request({
        //url: APIV3+"/web/memProduct/addMemProductLevel?staffId="+user.staffid,
        url:APIV4+"/memorder/addMemProductLevel?MemberId="+user.id+"&MemberName="+user.rolename,
        method: "post",
        data:{levelProduct:levelProduct,productCode:productObj.ProductCode}
      }).then(function (result) {
        message.success(result.msg);
        self.cancelClick();
        self.refs.grid.query();
      })      
    }
    /*
    let typeObj=self.state;
    let user = util.auth.getUser();
    if(self.refs.grid0.state!=null && self.refs.grid0.state.checkedValues!=null){
      let checkedValues=self.refs.grid0.state.checkedValues
      var productcode = checkedValues.join(",");
      request({
      url: APIV3+"/web/memProduct/editProductType?staffId="+user.staffid,
      method: "post",
      data:{typeId:typeObj.typeId,productCode:productcode,productName:typeObj.typeName}
    }).then(function (result) {
      message.success(result.msg);
      self.cancelClick();
      self.refs.grid.query();
    })

    }
 */
}
cancelClick() {
  this.setState({
    productObj:[],
    levelProduct:[],
    memLog:[],
    formVisiable: false,
    formConfirmLoading: false,
    productArr:{}
  });
}
cancellogClick() {
  this.setState({
    logVisiable: false,
    memLog:[]
  });
}

oknumClick(){
  let self=this
  var productObj= self.state.productObj;
  var productArr= self.state.productArr;
  if(productArr.num<0){
    message.error("请输入正确数字");
    return;
  }
  if(productArr.code==null||productArr.code==""){
    productArr["code"]=2
  }
  if(productObj!=null && productObj.ProductCode!=null && productArr!=null){
    productArr["productCode"]=productObj.ProductCode
    let user = util.auth.getUser();

    request({
      url:APIV4+"/memorder/editProductAmount?MemberId="+user.id+"&MemberName="+user.rolename,
      method: "post",
      data:productArr
    }).then(function (result) {
      message.success(result.msg);
      self.cancelClick();
      self.refs.grid.query();
      self.cancelnumClick();
    }) 
  } 
}

cancelnumClick() {
  this.setState({
    numVisiable: false,
    productArr:{}
  });
}
onCancelInput(item,index,event){//等级，输入框，输入框值
  let Inputval= event.target.value;
  let self = this
  let levelProduct=self.state.levelProduct;
  for(var i=0;i<levelProduct.length;i++){
    if(levelProduct[i].id==item){
      if(index==1){
        levelProduct[i]["MarketIng"]=Inputval
      }else if(index==2){
        levelProduct[i]["MarketPrice"]=Inputval
      }
    }
  }
  self.setState({
    levelProduct:levelProduct
  })
}
  //获取规则数据
  componentDidMount(){ 
    let self=this;
 }

 onChangeSel(itme,event){
   let self= this
   let productArr=self.state.productArr;
   productArr[itme]=event
   self.setState({productArr:productArr})
 }

 onChangeInput(itme,event){
  let self= this
  let productArr=self.state.productArr;
  productArr[itme]=event.target.value
  self.setState({productArr:productArr})
}

  render() {
    let self = this;
    let user = util.auth.getUser();
    let {levelProduct,productObj,memLog,productArr}=self.state;
    let level=[]
    if(levelProduct!=null && levelProduct.length>0){
      level = levelProduct.map((data, rowIndex) => {
          level=[<div style={{margin:"10px 0 0px 10%"}} key={rowIndex}>LV{data.level}  {data.name}<Input type={"number"} onChange={self.onCancelInput.bind(this,data.id,"1")} style={{width:"20%",marginLeft:"2%"}} value={data.MarketIng}></Input>积分(整数)  <Input type={"number"} onChange={self.onCancelInput.bind(this,data.id,"2")} style={{width:"20%",marginLeft:"2%"}} value={data.MarketPrice}></Input>元(两位小数)</div>]
        return level;
      }) 
      level.unshift(<div style={{margin:"10px 0 0px 10%"}}>默认定价 <Input disabled style={{width:"20%",marginLeft:"2%"}} onChange={self.onCancelInput.bind(this,"mk","1")} value={productObj.MarketIng}></Input>积分  <Input disabled onChange={self.onCancelInput.bind(this,"mk","2")} style={{width:"20%",marginLeft:"2%"}} value={productObj.MarketPrice}></Input>元</div>)
    }
    let database = [
      {
        "label": "实物商品",
        "value": "1",
        "disabled": false
      },
      {
        "label": "虚拟商品",
        "value": "2",
        "disabled": false
      }
    ];

    let databasev2 = [
      {
        "label": "上架",
        "value": "1",
        "disabled": false
      },
      {
        "label": "下架",
        "value": "0",
        "disabled": false
      }
    ];
    let gridOption = {
      title: "商品列表",
      url: {
        //read: "/web/memProduct/AllproductList"
        read:APIV4+"/memorder/productList"
      },
      afterQuery:	function(filters,result){
        if(self.refs.grid.state.filterRules!=null){
          let gridDatas=util.object.deepClone(self.refs.grid.state.gridDatas);     
          for(var item of gridDatas.items){
            item["MarketPrice"]=item.MarketPrice/100
            item["PurchasePrice"]=item.PurchasePrice/100
          }       
          self.refs.grid.setState({gridDatas:gridDatas});
        }
        },
      checkable: true,
      columns: [
        { title: "编号", data: "ProductCode", type: "text", editor: {} },
        { title: "商品属性", data: "ProductObject",type: "dropdown", editor: {},source: { data:database },query:true },
        { title: "商品名称", data: "ProductName", type: "text", editor: {},query:true },
        { title: "供应商", data: "Manufacturer",  type: "text", editor: {} },
        { title: "成本价", data: "PurchasePrice", type: "text",  editor: {}},
        { title: "积分价格", data: "MarketIng", type: "text",  editor: {}},
        { title: "RMB价格（元）", data: "MarketPrice", type: "text",  editor: {}},
        { title: "库存", data: "Amount", type: "text",  editor: {}},
        { title: "下架/上架", data: "State", type: "switch", editor: {inline:{
          onChange:function(key,value,index,that){ 
            let items = that.state.gridDatas.items;
            let item = items[index];          
            request({
              //url:"/web/memProduct/updaState",
              url:APIV4+"/memorder/updaState?MemberId="+user.id+"&MemberName="+user.rolename,
              method: "post",
              data: item
            }).then(function (result) {

            });
          }
        }}},
        {
          title: "操作选项", type: "command", actions: [
            {
              name: '定价',          
              color: '#67c23a',
              onClick: (data) => {
                let user = util.auth.getUser();
                request({
                  //url: APIV3+"/web/memProduct/getProductLevel?staffId="+user.staffid,
                  url: APIV4+"/memorder/getProductLevel?productCode="+data.ProductCode,
                  method: "get",
                  //data:{productCode:data.ProductCode}
                }).then(function (result) {
                  let levelProduct=[];
                  if(result!=null && result.obj!=null){
                    levelProduct=result.obj;
                    for(var i=0;i<levelProduct.length;i++){
                      if(levelProduct[i].MarketPrice!=null){
                        levelProduct[i]["MarketPrice"]=levelProduct[i].MarketPrice/100
                      }
                    }
                  }
                  self.setState({
                    productObj:data,
                    levelProduct:levelProduct,
                    formConfirmLoading:true,
                    formVisiable:true
                  })
                })

              }
            },{
            name: '详情',          
            color: '#67c23a',
            onClick: (data) => {                  
              this.props.dispatch({
                type: 'app/updateState', payload: {
                  menuPath: [{id:"310"+data.ProductCode,name:"编辑商品"+data.ProductName}]
                }
              });
              this.props.dispatch(routerRedux.push({
                pathname: '/ingproduct/add_product',
                query: {params: data},
                })
              );
            }
          },{
            name: '日志',          
            color: 'red',
            onClick: (data) => {
              let user = util.auth.getUser();
              jrequest({
                //url: APIV3+"/web/memProduct/getProductLog?staffId="+user.staffid,
                url: APIV4+"/memorder/getProductLog?productCode="+data.ProductCode,
                method:"get",
                //data:{productCode:data.ProductCode}
            }).then((result) => {
                self.setState({
                  logVisiable:true,
                  memLog:result.obj
                })
            });
            }
          },{
            name: '编辑库存',          
            color: 'red',
            onClick: (data) => {  
              console.log(data)
                self.setState({
                  numVisiable:true,
                  productObj:data
                })
            }
          }
         
        ]
        }
      ],actions: [
        {
        name: '新增商品',          
        color: '#67c23a',
        onClick: (data) => {
          this.props.dispatch({
            type: 'app/updateState', payload: {
              menuPath: [{id:"310",name:"新增商品"}]
            }
          });
          this.props.dispatch(routerRedux.push({
            pathname: '/ingproduct/add_product',
            query: {},
            })
          );
        }
      }
    ]
    };


    let gridOptionsLog = {
      title: "日志列表",
      dataSource: memLog,
      columns: [
        { title: "时间", data: "creationDate", type: "text", editor: {}, isRequired: true },
        { title: "操作账号", data: "memberId", type: "text", editor: {},query:false },
        { title: "账号名称", data: "memberName", type: "text"}, 
        { title: "修改内容", data: "key", type: "text", editor: {},query:false }, 
      ]
      };

    return <div>
                <BirdGrid gridOption={gridOption} ref="grid"></BirdGrid>

                <Modal title="修改定价"
                  width="65%"
                  visible={self.state.formVisiable}
                  onCancel={() => self.cancelClick()}
                  onOk={() => self.okClick()}>                 
                  <Row>
                    <Col>
                      {level}
                    </Col>
                </Row>
                </Modal>

                <Modal title="日志"
                  width="65%"
                  visible={self.state.logVisiable}
                  onCancel={() => self.cancellogClick()}
                  onOk={() => self.cancellogClick()}>                 
                  <BirdGrid gridOption={gridOptionsLog} ref="grid"></BirdGrid>
                </Modal>

                <Modal title="编辑库存"
                  width="55%"
                  visible={self.state.numVisiable}
                  onCancel={() => self.cancelnumClick()}
                  onOk={() => self.oknumClick()}>   
                  <Row>
                    <Col>
                    <div style={{margin:"10px 20px"}}><span style={{marginRight:"5%"}}>商品名称:</span>{productObj.ProductName}</div>
                    <div style={{margin:"10px 20px"}}><span style={{marginRight:"7%"}}>原库存:</span>{productObj.Amount}</div>
                    <div style={{margin:"10px 20px"}}><span style={{marginRight:"5%"}}>修改库存:</span> 
                    <Select onChange={self.onChangeSel.bind(self,"code")} style={{width:"15%"}}>
                    <Option value="1">增加</Option>
                    <Option value="2">减少</Option>
                  </Select>
                  <InputNumber style={{width:"40%"}} onChange={self.onChangeSel.bind(self,"num")} type={"number"} value={productArr.num}></InputNumber>                                     
                    </div>
                    <div style={{margin:"10px 20px"}}><span style={{marginRight:"8%"}}>备注:</span><Input style={{width:"60%"}} value={productArr.remark} onChange={self.onChangeInput.bind(self,"remark")}></Input></div>
                    </Col>
                  </Row>              
                  
                </Modal>
           </div>
  }
}
export default connect( ( { bindActionCreators } ) => ( { bindActionCreators } ) )( tag_setting );
