import React from 'react';
import {BirdForm} from 'components/Form';
import {Modal,
  message,
  Input,
  Select,
  Card,
  Icon,
  Tree,
  Button,
  Row,Col, Table
} from 'antd';
import axios from "axios";
import { config,util,request } from 'utils'
const { APIV4,APIV3 } = config
import { BirdGrid } from 'components/Grid';
const {Option} =Select;
const { TreeNode, DirectoryTree } = Tree;
const {TextArea} =Input;
const operators = {
  struct: [{ value: "LE", text: "小于等于" }, { value: "GE", text: "大于等于" },{ value: "EQ", text: "等于" }, { value: "CONTAINS", text: "包含" },{ value: "BELONG", text: "属于" }],
  struct1: [ { value: "AND", text: "并且" },{ value: "OR", text: "或者" }]
}
class addTag_setting extends React.Component {
  constructor(props) {
    super(props)
    let outArr=[{logicTree:{node:{left:{id:'',cnName:''},right:'',type:'',leftTableId:''},extNodes:[{binOperation:{left:{id:'',cnName:''},right:'',type:'',leftTableId:''},logicType:''}]},result:''}];
    let outputEntity=this.props.location.query.params;
    var name='';
    var object='1';
    var desc='';
    var id='';
    var outputType='1';
    let objectRange=[];
    let pdm={}
    if(outputEntity==null||outputEntity.length<=0||typeof (outputEntity.id) == 'undefined'){
      outputEntity=outArr
    }else{
      outputEntity=this.props.location.query.params.outputEntity;
      if(this.props.location.query.params.outputType==2){
        outputType="2"
      }else{
        if(typeof (outputEntity.objectRange) == 'undefined'&&this.props.location.query.params.objectRange!=null&&this.props.location.query.params.objectRange.length>0&&this.props.location.query.params.objectRange[0].length>0){
          objectRange=this.props.location.query.params.objectRange
        }
        pdm=this.props.location.query.params.pdm
        for(var i=0;i<outputEntity.length;i++){
          if(outputEntity[i].logicTree.extNodes==null||outputEntity[i].logicTree.extNodes.length<=0){
            outputEntity[i].logicTree.extNodes=[{binOperation:{left:{id:'',cnName:''},right:'',type:'',leftTableId:''},logicType:''}]
          }
          if(outputEntity[i].logicTree.node==null||outputEntity[i].logicTree.node.length<=0){
            outputEntity[i].logicTree.node={left:{id:'',cnName:''},right:'',type:'',leftTableId:''}
          }
        }
      }
      object=this.props.location.query.params.object||'1',//对象
      desc=this.props.location.query.params.desc||'',//用途
      id=this.props.location.query.params.id||'',
      name=this.props.location.query.params.name||''//名称
    }

    this.state = {
      hidePop:true,
      formConfirmLoading:false,
      formVisiable:false,
      sqlSelete:0,//鼠标选择字段框
      tagKey:[],//对象标签ID    
      gridDatas:[],//根据子组件返回标签全部
      tablesSql:[],//pdm表源
      tablesSql1:[],//表
      tablesSql2:[],//表字段
      outputEntity:outputEntity,
      extNodes:[],//后续判断条件binOperation，extNodes
      subCode:0,//第几个0logicTree
      subCodeV2:0,
      subconent:'default',//第几个标签.默认对象
      seleTag:objectRange,//对象标签已选数据
      object:object,//对象
      desc:desc,//用途
      id:id,
      outputType:outputType,//产出方式
      name:name,//名称
      childrenTag:[],//子表
      pdm:pdm,
      selectName:"选择数据表"
    }
  }
  componentDidMount(){
    this.getTablesObj("pdm",1);
    if(this.state.pdm!=null&&this.state.pdm["id"]!=null&&this.state.pdm["prtId"]!=null){
      this.setState({
        selectName:this.state.pdm["cnName"]
      })
      this.getTagTab(this.state.pdm["prtId"]);
      this.getTagTab1(this.state.pdm["id"]);
    }
    
  } 
  getTablesObj(arr,code){//获取表元数据
    let self=this;
    axios.get(APIV4+'/meta/children',{params:{prtId:arr}})
     .then(function (response) {
      if(response.status==200){
       if(code==1){//表源
        let tab=response.data.data;
        let tabsql=[]
        for(var i=0;i<tab.length;i++){
          if(tab[i].name.indexOf("click")!=-1){
            tabsql.push(tab[i]);
            break;
          }
        }
        self.setState({
          tablesSql:tabsql
         })
       }else if(code==2){//表
        self.setState({
          tablesSql1:response.data.data
        })
       }else if(code==3){//表字段
        var pdm = self.state.pdm
        if(pdm!=null&&pdm.id!=null&&pdm.id!=arr){
          message.warning('请在相同表操作！'+pdm.name+pdm.cnName);
          return;
        }
        self.setState({
          tablesSql2:response.data.data,
          childrenTag:[]
        })
        axios.get(APIV4+'/meta/relChildren?id='+arr)
        .then(function (response1) {
          if(response1.data.data.length>0){
            for(var obj in response1.data.data){
              self.getChildTagList(response1.data.data[obj]);
            }
          }
        })       
       }

      }
     })
     .catch(function (error) {
       console.log(error);
     })
  }

  getChildTagList(arr){//获取子表
    let self=this
    axios.get(APIV4+'/meta/children',{params:{prtId:arr["id"]}})
    .then(function (response1) {    
      let childrenTag=self.state.childrenTag
      let childobj={cnName:arr["cnName"],tagList:response1.data.data}
      childrenTag.push(childobj)
      self.setState({
        childrenTag:childrenTag
      })
    })  
  }
  getTagTab(arr){//表
    this.getTablesObj(arr,2)
  }
  getTagTab1(arr){//字段
    this.getTablesObj(arr,3)
  }
  //对象选择标签
  getTagList(subconent){
    this.setState({
      formVisiable: true,
      subconent:subconent
    });
  }

  saveClick(callback) {
    
  }
  /* 弹出框取消事件 */
  cancelClick() {
    this.setState({
      formVisiable: false,
      formConfirmLoading: false
    });
  }
  //处理重复标签
  unique5(arr){
    var x = new Set(arr);
   return [...x];
  }

  //下标删除对象标签
  rmTag(rowIndex){  
    let relf=this
    relf.state.seleTag.splice(rowIndex,1),
    relf.state.tagKey.splice(rowIndex,1)
    relf.setState({
      seleTag:relf.state.seleTag,
      tagKey:relf.state.tagKey
    }) 
  }

  //规则组选择表字段
  onSelect = (keys, event) => {
    let relf=this
    var nodeVlaue=event.node.props; 
    let outputEntity=relf.state.outputEntity;
    let tablesSql2=relf.state.tablesSql2;
    let tablesSql1=relf.state.tablesSql1;
    let objs={}
    var objKey="";
    for(var obj in tablesSql2){
      if(tablesSql2[obj].id==nodeVlaue.eventKey){
        objKey= tablesSql2[obj].prtId
        break;
      }
    }

    for(var obj in tablesSql1){
      if(tablesSql1[obj].id==objKey){
        objs= tablesSql1[obj]
        break;
      }
    }
    
    if(objs!=null&&objs.id!=null){
      relf.setState({
        pdm:objs
      })
    }
    if(relf.state.outputType==2){//直接产出

      for(var obj in tablesSql2){//当前表
        if(tablesSql2[obj].id==nodeVlaue.eventKey){
          outputEntity[relf.state.subCode].logicTree.node.left=tablesSql2[obj]
          outputEntity[relf.state.subCode].logicTree.node.leftTableId=tablesSql2[obj]["prtId"]
          outputEntity[relf.state.subCode].logicTree.node.right="D";
          outputEntity[relf.state.subCode].logicTree.node.type="EQ";
          outputEntity[relf.state.subCode].result={"D":"D"}
          break;
        }
      }
      let childarr=relf.getChildTab(nodeVlaue.eventKey)
      if(childarr!=null&& childarr.length>0){//子表
        outputEntity[relf.state.subCode].logicTree.node.left=childarr
        outputEntity[relf.state.subCode].logicTree.node.leftTableId=childarr["prtId"]
        outputEntity[relf.state.subCode].logicTree.node.right="D";
        outputEntity[relf.state.subCode].logicTree.node.type="EQ";
        outputEntity[relf.state.subCode].result={"D":"D"}
      }      
      /*
      let objs={}
      for(var obj in tablesSql2){
        if(tablesSql2[obj].id==nodeVlaue.eventKey){
          objs= tablesSql2[obj]
          break;
        }
      }
      let childarr=relf.getChildTab(nodeVlaue.eventKey)
      if(childarr!=null&& childarr.length>0){
        objs=childarr
      }
      relf.setState({
        pdm:objs
      })
      */
    }else{//条件产出
      if(outputEntity[relf.state.subCode].logicTree.extNodes[0].logicType.length>0){
        for(var obj in tablesSql2){
          if(tablesSql2[obj].id==nodeVlaue.eventKey){
            outputEntity[relf.state.subCode].logicTree.extNodes[0].binOperation.left=tablesSql2[obj]
            outputEntity[relf.state.subCode].logicTree.extNodes[0].binOperation.leftTableId=tablesSql2[obj]["prtId"]
            break;
          }
        }
        let childarr=relf.getChildTab(nodeVlaue.eventKey)
        if(childarr!=null&& childarr.length>0){
          outputEntity[relf.state.subCode].logicTree.extNodes[0].binOperation.left=childarr
          outputEntity[relf.state.subCode].logicTree.extNodes[0].binOperation.leftTableId=childarr["prtId"]
        }
        //outputEntity[relf.state.subCode].logicTree.extNodes[0].binOperation.left.id=nodeVlaue.eventKey;
        //outputEntity[relf.state.subCode].logicTree.extNodes[0].binOperation.left.cnName=nodeVlaue.title;
      }else{
        for(var obj in tablesSql2){//当前表
          if(tablesSql2[obj].id==nodeVlaue.eventKey){
            outputEntity[relf.state.subCode].logicTree.node.left=tablesSql2[obj]
            outputEntity[relf.state.subCode].logicTree.node.leftTableId=tablesSql2[obj]["prtId"]
            break;
          }
        }
        let childarr=relf.getChildTab(nodeVlaue.eventKey)
        if(childarr!=null&& childarr.length>0){//子表
          outputEntity[relf.state.subCode].logicTree.node.left=childarr
          outputEntity[relf.state.subCode].logicTree.node.leftTableId=childarr["prtId"]
        }
        //outputEntity[relf.state.subCode].logicTree.node.left.id=nodeVlaue.eventKey;
        //outputEntity[relf.state.subCode].logicTree.node.left.cnName=nodeVlaue.title;
      }     
    }
    relf.setState({
      outputEntity:outputEntity
    })
    };

    getChildTab(keyId){
      let arr=[];
      let childrenTag=this.state.childrenTag
      for(var obj in childrenTag){
        if(childrenTag[obj]["tagList"].length>0){
          for(var i in childrenTag[obj]["tagList"]){
            if(childrenTag[obj]["tagList"][i]["id"]!=null&&childrenTag[obj]["tagList"][i]["id"]==keyId){
              arr = childrenTag[obj]["tagList"][i];
              break;
            }                    
          }
        }
      }
      return arr;
    }
  //规则组判断符
  setStrTab(code,text,key){
    let outputEntity=this.state.outputEntity;  
    let subCode = this.state.subCode;
    let subCodeV2=this.state.subCodeV2;
    if(code==1){
      if(subCodeV2!=0){
        if(subCodeV2==1){
          outputEntity[subCode].logicTree.node.type=key;
            this.setState({
              outputEntity:outputEntity
            })
        }else{
          outputEntity[subCode].logicTree.extNodes[0].binOperation.type=key;
            this.setState({
              outputEntity:outputEntity
            })          
        }
      }else if(outputEntity[subCode].logicTree.extNodes[0].logicType.length>0){//条件二
        if(outputEntity[subCode].logicTree.extNodes[0].binOperation.left.id<=0){
          message.warning('请先添加条件字段！');
        }else{//赋值1
          outputEntity[subCode].logicTree.extNodes[0].binOperation.type=key;
            this.setState({
              outputEntity:outputEntity
            })
        }
      }else{//条件一
        if(outputEntity[subCode].logicTree.node.left.id<=0){
          message.warning('请先添加条件字段！');
        }else{//赋值1
          outputEntity[subCode].logicTree.node.type=key;
            this.setState({
              outputEntity:outputEntity
            })
        }
      }
    }else if(code==2){//链接符
      if(outputEntity[subCode].logicTree.node.left.id.length>0&&outputEntity[subCode].logicTree.node.type.length>0&&outputEntity[subCode].logicTree.node.right.length>0){
        outputEntity[subCode].logicTree.extNodes[0].logicType=key;
        this.setState({
          outputEntity:outputEntity
        })
      }else{
        message.warning('请先添加条件字段！');
      }
    }
  }
    //绑定表单数据
    handeChange(item,event){ //输入框    
      for(let StateItem in this.state){
          if(item===StateItem){
              this.state[item]=event.target.value;
              this.setState(this.state)
          }
      }     
  }
  handeChangev2(itme,event){//选择框
    this.state[itme]=event
    this.setState(this.state)
  }
  getInputValue(arr){//规则组输入框
    let relf=this
    let outputEntity=relf.state.outputEntity;  
    let subCode = relf.state.subCode;
    let subCodeV2=this.state.subCodeV2;
    if(subCodeV2!=0){
      if(subCodeV2==1){
        outputEntity[subCode].logicTree.node.right=arr.target.value;
        relf.setState({
          outputEntity:outputEntity
        })
      }else{
        outputEntity[subCode].logicTree.extNodes[0].binOperation.right=arr.target.value;
        relf.setState({
          outputEntity:outputEntity
        })
      }
    }else if(outputEntity[subCode].logicTree.extNodes[0].logicType.length>0){//条件二
      if(outputEntity[subCode].logicTree.extNodes[0].binOperation.left.id.length>0&&outputEntity[subCode].logicTree.extNodes[0].binOperation.type.length>0){
        outputEntity[subCode].logicTree.extNodes[0].binOperation.right=arr.target.value;
        relf.setState({
          outputEntity:outputEntity
        })
      }else{
        message.warning('请先添加前置条件！');
      }
    }else{//条件一
      if(outputEntity[subCode].logicTree.node.left.id.length>0&&outputEntity[subCode].logicTree.node.type.length>0){
        outputEntity[subCode].logicTree.node.right=arr.target.value;
        relf.setState({
          outputEntity:outputEntity
        })
      }else{
        message.warning('请先添加前置条件！');
      }
    }
  }
  //条件选择
  upsubCode(subCode){
    this.setState({
      subCode:subCode
    })
  }
  //条件子选择
  upsubCodeV2(subCode){
    this.setState({
      subCodeV2:subCode
    })
  }
  addTagConent(){//添加一个条件组
    let outputEntity=this.state.outputEntity;
    var subCode=this.state.subCode;  
    outputEntity.push({logicTree:{node:{left:{id:'',cnName:''},right:'',type:''},extNodes:[{binOperation:{left:{id:'',cnName:''},right:'',type:''},logicType:''}]},result:""});
    this.setState({
      outputEntity:outputEntity,
      subCode:subCode+1
    })
  }
  remTagConent(){//删除一个条件组
    let outputEntity=this.state.outputEntity;
    var subCode=this.state.subCode; 
    if(outputEntity.length>1){
      outputEntity.splice(subCode,1)
      this.setState({
        outputEntity:outputEntity,
        subCode:subCode-1
      })
    }
  }
  subTagConent(){//提交
    var user = util.auth.getUser();
    let crtUser=user.id;//用户
    let sta=this.state
    var obj=sta.object
    let vo={}
    if(obj=="员工"){
      obj=1
    }else if(obj=="用户"){
      obj=2
    }else if(obj=="商品"){
      obj=3
    }
    vo["crtUser"]=crtUser;
    vo["desc"]=sta.desc
    vo["id"]=sta.id
    vo["name"]=sta.name
    vo["object"]=obj
    vo["objectRange"]=[]
    vo["outputType"]=sta.outputType 
    vo["pdm"]=sta.pdm
    /*if(sta.outputType==2){
      
      if(vo.desc.length<=0||vo.name<=0||vo.object<=0){
        message.warning('请完善提交信息！');
        return;
      }else{
          axios.put(APIV4+'/tagrule/rule',vo)
          .then(function (response) {
           if(response.status){
              window.location.href="/tag/tag_setting";
           }else{
             message.warning('请完善提交信息！');
           }
          })
          .catch(function (error) {
            message.warning('请完善提交信息！');
          })
      }
    }else{*/
      var temp=true;
      vo["outputEntity"]=sta.outputEntity
      let vo2=vo;
      if(vo.desc.length<=0||vo.name.length<=0||vo.object.length<=0||vo.outputEntity.length<=0){
        message.warning('请完善提交信息！');
        return;
      }else{
        for(var i=0;i<vo.outputEntity.length;i++){
          if(vo.outputEntity[i].logicTree!=null&&vo.outputEntity[i].result!=""&&vo.outputEntity[i].result!=null&&vo.outputEntity[i].logicTree.node!=null&&vo.outputEntity[i].logicTree.node.left!=null&&vo.outputEntity[i].logicTree.node.left!=null&&vo.outputEntity[i].logicTree.node.right!=null&&vo.outputEntity[i].logicTree.node.type!=null&&vo.outputEntity[i].logicTree.node.right.length>0&&vo.outputEntity[i].logicTree.node.type.length>0){
            if(vo.outputEntity[i].logicTree.node.left.name!=null&&vo.outputEntity[i].logicTree.node.left.name=="AConsigneePhone2"){
              var phone=this.getPhoneDes(vo.outputEntity[i].logicTree.node.right);
              if(phone!=null){
                vo2.outputEntity[i].logicTree.node.right=phone;
              }
            }
          }else{
            temp=false;
          }

          
          if(temp){
            if(vo.outputEntity[i].logicTree.extNodes.length<=0||vo.outputEntity[i].logicTree.extNodes[0].binOperation.right==null||vo.outputEntity[i].logicTree.extNodes[0].binOperation.right.length<=0){
              vo2.outputEntity[i].logicTree.extNodes=[];
            }else{
              //加密手机号
              if(vo.outputEntity[i].logicTree.extNodes[0].binOperation!=null&&vo.outputEntity[i].logicTree.extNodes[0].binOperation.left!=null&&vo.outputEntity[i].logicTree.extNodes[0].binOperation.left.name!=null&&vo.outputEntity[i].logicTree.extNodes[0].binOperation.left.name=="AConsigneePhone2"){
                var phone=this.getPhoneDes(vo.outputEntity[i].logicTree.extNodes[0].binOperation.right);
                if(phone!=null){
                  vo2.outputEntity[i].logicTree.node.right=phone;
                }
              }
            }
          }
        }
        
        let self=this;
        if(vo2.outputEntity.length>0&&temp){
          axios.put(APIV4+'/tagrule/rule',vo2)
          .then(function (response) {
           if(response.status){
             window.location.href="/tag/tag_setting";
           }else{
             message.warning('请完善提交信息！');
             return;
           }
          })
          .catch(function (error) {
            message.warning('请完善提交信息！');
            return;
          })
        }else{
          message.warning('请完善提交信息！');
          return;
        }

      }
   // }     
  }

    getPhoneDes(phone){
      request({
        url: APIV3+"/web/ES_DataStais/getPhoneencDes?desPhone="+phone,
        method: "get"
    }).then(function (result) {
      console.log(result)
      return result;              
    })
    }

  render() {
    let relf=this
    let {tablesSql,tablesSql1,tablesSql2,outputEntity,childrenTag,pdm}=relf.state
    let sqlTab=[]
    var selectName="";
    if(tablesSql.length>0){//源
      sqlTab = tablesSql.map((data, rowIndex) => {
        if(data.cnName!=null&&data.cnName.length>0){
        sqlTab=[<Option key={rowIndex} value={data.id}>{data.cnName}</Option>]
        }
        return sqlTab;
      })     
    }
    if(pdm!=null){
      selectName=pdm["cnName"];
    }
    let sqlTab1=[]
    if(tablesSql1.length>0){//表
      sqlTab1 = tablesSql1.map((data, rowIndex) => {
        if(data.cnName!=null){
            sqlTab1=[<Option key={rowIndex} value={data.id}>{data.cnName}</Option>]
        }     
        return sqlTab1;
      })     
    }
    let sqlTab2=[]
    if(tablesSql2.length>0){//字段
      for(var i=0;i< tablesSql2.length;i++){
        if(tablesSql2[i].cnName!=null&&tablesSql2[i].cnName.length>0){
          sqlTab2.push([<TreeNode icon=' ' style={{whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis',width:'80%'}} title={tablesSql2[i].cnName} key={tablesSql2[i].id}/>])
          }
      }   
    }

    let childTag=[];
    if(childrenTag.length>0){//子表
      for(var obj in childrenTag){
        if(childrenTag[obj]["tagList"].length>0){
          let chil=[]
          for(var i in childrenTag[obj]["tagList"]){
            if(childrenTag[obj]["tagList"][i]["cnName"]!=null&&childrenTag[obj]["tagList"][i]["cnName"].length>0){
              chil.push(<TreeNode style={{whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis',width:'80%'}} title={childrenTag[obj]["tagList"][i]["cnName"]} key={childrenTag[obj]["tagList"][i]["id"]} isLeaf />)
            }                    
          }
          childTag.push(
            <TreeNode title={childrenTag[obj]["cnName"]} key={childrenTag[obj]["cnName"]}>
              {chil}
            </TreeNode>
          )
        }
      }
    }
    //对象列表
    let gridOptionsTag = {
      title: "标签列表",
      url: {
        read: "/web/mem_tag/AllTagList"
      },
      primaryKey:'_id',
      beforeQuery:function(gridDatas,filters,pageIndex,pageSize){
      let filterDistinct = [];
        if(pageIndex * pageSize > 1000000){
          message.error("不能翻页超过"+pageIndex+"页");
          return false;
        }else 
        return true;
      },
      columns: [
        { title: "标签ID", data: "_id", type: "text", editor: {ap: 'hide', ep: 'hide'}, isRequired: true },
        { title: "标签名称", data: "TagName", type: "text", editor: {},query:false,  query: true },
        { title: "标签类型名称", data: "TagTypeName", type: "text", editor: {ap: 'hide', ep: 'hide'},hide:true}, 
        { title: "标签类型", data: "TagTypeId", type: "dropdown", editor: {},
          source: { url: '/web/Mem_TagType/type?t='+self.state.randStr },query:true }, 
        { title: "标签名称", data: "TagName", type: "text", editor: {},query:false,  query: true },
      ],
      checkable: true,
      actions: [{
        name: '确认选择',
        onClick: function (e) {
          if(relf.state.subconent=='default'){
            for(let key in e){
              relf.state.tagKey.push(e[key])
              relf.state.tagKey=relf.unique5(relf.state.tagKey)
            }
            var chilTag=relf.state.gridDatas.current.state.gridDatas.items
            for(let tag in chilTag){
              for(let key in relf.state.tagKey){
                if(relf.state.tagKey[key]==chilTag[tag].TagId){
                  relf.state.seleTag.push(chilTag[tag])
                  relf.state.seleTag=relf.unique5(relf.state.seleTag)
                  break;
                }
              }
            }
          }else{
            var tagConent=[];
            var tagList=[]; 
            var tagStr={};           
            for(let key in e){
              tagList.push(e[key])
              tagList=relf.unique5(tagList)
            }
            var chilTag=relf.state.gridDatas.current.state.gridDatas.items
            for(let tag in chilTag){
              for(let key in tagList){
                if(tagList[key]==chilTag[tag].TagId){
                  tagConent.push(chilTag[tag])
                  tagConent=relf.unique5(tagConent)
                  break;
                }
              }
            }
            for(let tag in tagConent){
              tagStr[tagConent[tag].TagName]=tagConent[tag].TagId;
            } 
            let outputEntity=relf.state.outputEntity;  
            outputEntity[relf.state.subconent].result=tagStr;
            relf.setState({
              outputEntity:outputEntity
            })
          }
          relf.setState({
            formVisiable: false,
            formConfirmLoading: false
          });
        }
      }],
      };

    let struct=operators.struct      //比较符
    let struct1=operators.struct1      //链接符
    let strTab = [];
    let strTab1 = [];
    let seTag=[];
    seTag = relf.state.seleTag.map((data, rowIndex) => {
      seTag=[<div key={rowIndex} onClick={relf.rmTag.bind(relf,rowIndex)} style={{border:'1px solid #CDC9C9',padding:'5px 10px',width:'18%',float:'left',fontSize:'12px',margin:'10px 0 0 2%',textAlign:"center"}}>{data.TagName}</div>]
      return seTag;
    })

    strTab = struct.map((data, rowIndex) => {
      strTab=[<div onClick={relf.setStrTab.bind(this,"1",data.text,data.value)} key={rowIndex} style={{border:'1px solid #CDC9C9',padding:'5px 10px',width:'15%',float:'left',fontSize:'12px',marginLeft:'2%',textAlign:"center"}}>{data.text}</div>]
      return strTab;
    })

    strTab1 = struct1.map((data, rowIndex) => {
      strTab1=[<div onClick={relf.setStrTab.bind(this,"2",data.text,data.value)} key={rowIndex} style={{border:'1px solid #CDC9C9',padding:'5px 10px',width:'15%',float:'left',fontSize:'12px',marginLeft:'2%',textAlign:"center"}}>{data.text}</div>]
      return strTab1;
    })

    var getTagListConent = (subCode) => {
      var res = [];
      var result= relf.state.outputEntity[subCode].result
      for(var obj in result) {
        res.push(<div style={{border:'1px solid #CDC9C9',padding:'3px 5px',width:'48%',float:'left',fontSize:'10px',margin:'10px 0 0 2%',textAlign:"center",height:'24px',whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis' }}>{obj}</div>)
      }
      return res
    }

    let tagConent=[]//条件组
    if(outputEntity!=null&&outputEntity.length>0){
      for(var i=0;i<outputEntity.length;i++){
        if(i!=0){
          if(outputEntity[i].logicTree.extNodes==null||outputEntity[i].logicTree.extNodes.length<=0){
            relf.state.outputEntity[i].logicTree.extNodes=[{binOperation:{left:{id:'',cnName:''},right:'',type:'',leftTableId:''},logicType:''}]
          }
        tagConent.push(<div style={{width:'96%',margin:"15px 0 15px 3%",padding:"5px 10px",background:"#fff",boxShadow:(relf.state.subCode==i?"darkgrey 1px 3px 5px 1px":"")}} onClick={relf.upsubCode.bind(this,i)}>
        <Row gutter={20}>
          <Col md={10} style={{border:'1px solid #CDC9C9'}}>
              <div style={{height:40,marginTop:'10px'}} onClick={relf.upsubCodeV2.bind(this,1)}>{outputEntity[i].logicTree.node.left.cnName==''?'条件':outputEntity[i].logicTree.node.left.cnName}
              <span style={{marginLeft:"5%"}}>{outputEntity[i].logicTree.node.type==''?'比较':(outputEntity[i].logicTree.node.type=='LE'?'小于等于':(outputEntity[i].logicTree.node.type=='GE'?'大于等于':(outputEntity[i].logicTree.node.type=='EQ'?'等于':(outputEntity[i].logicTree.node.type=='CONTAINS'?'包含':('属于')))))}</span>
              <span style={{marginLeft:"5%"}}><Input style={{width:"45%"}} placeholder="结果" value={outputEntity[i].logicTree.node.right} onChange={relf.getInputValue.bind(this)} /></span>
              </div>
  
              {(relf.state.outputEntity[0].logicTree.extNodes[0]==null||outputEntity[i].logicTree.extNodes[0].logicType=='')?'连接符':(outputEntity[i].logicTree.extNodes[0].logicType=='AND'?'并且':'或者')}
              <div style={{height:40,marginTop:'10px'}} onClick={relf.upsubCodeV2.bind(this,2)}>
              <div style={{width:'25%',whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis',float:'left'}}>{outputEntity[i].logicTree.extNodes[0].binOperation.left.cnName==''?'条件':outputEntity[i].logicTree.extNodes[0].binOperation.left.cnName}</div>
              <div style={{width:'30%',whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis',float:'left'}}>{outputEntity[i].logicTree.extNodes[0].binOperation.type==''?'比较':(outputEntity[i].logicTree.extNodes[0].binOperation.type=='LE'?'小于等于':(outputEntity[i].logicTree.extNodes[0].binOperation.type=='GE'?'大于等于':(outputEntity[i].logicTree.extNodes[0].binOperation.type=='EQ'?'等于':(outputEntity[i].logicTree.extNodes[0].binOperation.type=='CONTAINS'?'包含':('属于')))))}</div>
              <Input style={{width:"44%"}} placeholder="结果" value={outputEntity[i].logicTree.extNodes[0].binOperation.right} onChange={relf.getInputValue.bind(this)} />
              </div>
            </Col>
            <Col md={4}>
              <Button size='small' onClick={relf.getTagList.bind(this,i)} type="dashed">
                  产出标签
                <Icon type="right" />
              </Button>
            </Col>
            <Col md={9} style={{border:'1px solid #CDC9C9'}}>
              <div style={{height:130}}>{getTagListConent(i)}<Button onClick={relf.getTagList.bind(this,i)} type="primary" size={'small'}><Icon type="plus"/></Button></div>
            </Col>
        </Row>
      </div> )
      }
      }
    }
    
    let tableTag=[]
    if(relf.state.outputType==2){
      tableTag.push(<div style={{width:'74%',float:"right",border:'1px solid #CDC9C9',minHeight:'400px',background:"#fff"}}>
        <div style={{border:'1px solid #CDC9C9',padding:'5px 10px',width:'15%',float:'left',fontSize:'12px',margin:'10px 0 0 2%',textAlign:"center"}}>{relf.state.outputEntity[0].logicTree.node.left.cnName}</div>
      </div>)
    }else{
      if(relf.state.outputEntity[0].logicTree.extNodes==null||relf.state.outputEntity[0].logicTree.extNodes.length<=0){
        relf.state.outputEntity[0].logicTree.extNodes=[{binOperation:{left:{id:'',cnName:''},right:'',type:'',leftTableId:''},logicType:''}]
      }
      tableTag.push(<div style={{width:'74%',float:"right",border:'1px solid #CDC9C9',minHeight:'400px',background:"#fff"}}>
      <div style={{border:'1px solid #CDC9C9',padding:'20px 20px',width:'90%',margin:'5px 0 0 3%',minHeight:'90px'}}>
        <div style={{float:"left",margin:"0 10px 0 -10px",color:"red"}}>比较符:</div>{strTab}
      </div>

      <div style={{border:'1px solid #CDC9C9',padding:'20px 20px',width:'90%',margin:'5px 0 0 3%',minHeight:'90px'}}>
      <div style={{float:"left",margin:"0 10px 0 -10px",color:"red"}}>连接符:</div>{strTab1}
      </div>  

      <div style={{width:'96%',margin:"15px 0 15px 3%",padding:"5px 10px",background:"#fff",boxShadow:(relf.state.subCode=="0"?"darkgrey 1px 3px 5px 1px":"")}} onClick={relf.upsubCode.bind(this,0)}>
        <Row gutter={20}>
          <Col md={10} style={{border:'1px solid #CDC9C9'}}>
              <div style={{height:40,marginTop:'10px'}} onClick={relf.upsubCodeV2.bind(this,1)}>
              <div style={{width:'25%',whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis',float:'left'}}>{relf.state.outputEntity[0].logicTree.node.left.cnName==''?'条件':relf.state.outputEntity[0].logicTree.node.left.cnName}</div>
              <div style={{width:'30%',whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis',float:'left'}}>{relf.state.outputEntity[0].logicTree.node.type==''?'比较':(relf.state.outputEntity[0].logicTree.node.type=='LE'?'小于等于':(relf.state.outputEntity[0].logicTree.node.type=='GE'?'大于等于':(relf.state.outputEntity[0].logicTree.node.type=='EQ'?'等于':(relf.state.outputEntity[0].logicTree.node.type=='CONTAINS'?'包含':('属于')))))}</div>
              <Input style={{width:"44%"}} onChange={relf.getInputValue.bind(relf)} placeholder="结果" value={relf.state.outputEntity[0].logicTree.node.right}/>
              </div>

              {(relf.state.outputEntity[0].logicTree.extNodes[0]==null||relf.state.outputEntity[0].logicTree.extNodes[0].logicType=='')?'连接符':(relf.state.outputEntity[0].logicTree.extNodes[0].logicType=='AND'?'并且':'或者')}
              <div style={{height:40,marginTop:'10px'}} onClick={relf.upsubCodeV2.bind(this,2)}>
              <div style={{width:'25%',whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis',float:'left'}}>{relf.state.outputEntity[0].logicTree.extNodes[0].binOperation.left.cnName==''?'条件':relf.state.outputEntity[0].logicTree.extNodes[0].binOperation.left.cnName}</div>
              <div style={{width:'30%',whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis',float:'left'}}>{relf.state.outputEntity[0].logicTree.extNodes[0].binOperation.type==''?'比较':(relf.state.outputEntity[0].logicTree.extNodes[0].binOperation.type=='LE'?'小于等于':(relf.state.outputEntity[0].logicTree.extNodes[0].binOperation.type=='GE'?'大于等于':(relf.state.outputEntity[0].logicTree.extNodes[0].binOperation.type=='EQ'?'等于':(relf.state.outputEntity[0].logicTree.extNodes[0].binOperation.type=='CONTAINS'?'包含':('属于')))))}</div>
              <Input style={{width:"44%"}} placeholder="结果" value={relf.state.outputEntity[0].logicTree.extNodes[0].binOperation.right} onChange={relf.getInputValue.bind(this)} />
              </div>
            </Col>
            <Col md={4}>
              <Button size='small' onClick={relf.getTagList.bind(this,0)} type="dashed">
                  产出标签
                <Icon type="right" />
              </Button>
            </Col>
            <Col md={9} style={{border:'1px solid #CDC9C9'}}>
              <div style={{height:130}}>{getTagListConent(0)}<Button onClick={relf.getTagList.bind(this,0)} type="primary" size={'small'}><Icon type="plus"/></Button></div>
            </Col>
        </Row>
      </div> 
      {tagConent}
      <div style={{width:"94%",margin:"0 0 10px 3%"}}>

      <Button size='default' type="primary" style={{marginLeft:'15%'}} onClick={relf.addTagConent.bind(this)}>
            添加条件
      </Button>
      <Button size='default' type="primary" style={{marginLeft:'15%'}} onClick={relf.remTagConent.bind(this)}>
            删除
      </Button>
      </div> 
  </div> )
    }
    return (
      <div style={{width:'90%',marginLeft:'5%'}}>
        <div style={{marginLeft:'5%',border:'1px solid #CDC9C9',padding:'20px 80px'}}>
        {/** <BirdForm fields={fields} withTab={true} saveUrl={'/save'} ref='form' /> */}
         规则名称<Input onChange={relf.handeChange.bind(this,"name")} value={relf.state.name} style={{width:'30%',height:'30px',marginLeft:'20px'}}/><br/>
         规则用途<TextArea onChange={relf.handeChange.bind(this,"desc")} value={relf.state.desc} rows='4' style={{width:'50%',height:'60px',marginTop:'13px',marginLeft:'20px'}}/>
         </div>

         <div style={{margin:'15px 0 0 5%',border:'1px solid #CDC9C9',padding:'20px 80px'}}>
         面向对象<Select defaultValue="选择对象" value={relf.state.object.length>0?relf.state.object:'1'} onChange={relf.handeChangev2.bind(this,'object')}  style={{ width: '30%',marginLeft:'20px' }}>
                  <Option value="1">员工</Option>
                  <Option value="2">用户</Option>
                  <Option value="3">商品</Option>
                </Select>

        <div style={{width:'100%',margin:'25px 0px'}}>
            <div style={{width:'5%',float:"left"}}>对象范围</div>
          
            <div style={{width:'60%',float:"left",marginLeft:'20px'}}>        
              设定好对象范围，当前规则至针对当前设定的范围，执行规则。如设定为男性用户，即只对男性用户执行该规则<br/>
              {seTag}
              <Button onClick={relf.getTagList.bind(this,'default')} type="primary" size={'default'}>  <Icon type="plus" />  </Button>
            </div>

            <div style={{clear:'both'}}></div>
         </div>

        <hr/>
        <div style={{marginTop:'20px'}}>
        <Select defaultValue="产出标签方式" value={relf.state.outputType.length>0?relf.state.outputType:'1'} onChange={relf.handeChangev2.bind(this,'outputType')} style={{ width: '15%' }}>
              <Option value="1">条件产出</Option>
              <Option value="2">直接产出</Option>
        </Select>

        <Select defaultValue="选择数据源" onChange={relf.getTagTab.bind(this)} style={{ width: '15%',marginLeft:'10px' }}>
              {sqlTab}
        </Select>

        <Select defaultValue={selectName} onChange={relf.getTagTab1.bind(this)} style={{ width: '15%',marginLeft:'10px' }}>
              {sqlTab1}
        </Select>
        </div>  

        <div style={{width:'100%',marginTop:'20px'}}>
          {/**表树形 */}
          <div style={{width:'25%',float:'left',border:'1px solid #CDC9C9',minHeight:'400px'}}>

          <DirectoryTree multiple defaultExpandAll onSelect={relf.onSelect}>
              {sqlTab2}
              {childTag}
          </DirectoryTree>

          </div>

          {/**标签产出 */}
          {tableTag}  
          <Button style={{margin:"20px 0 0 40%"}} size='default' type="primary" onClick={relf.subTagConent.bind(this)}>
            提交
          </Button>    
          <div style={{clear:'both'}}></div>
        </div>     
         </div>


         <Modal title="选择标签"
          width="70%"
          visible={relf.state.formVisiable}
          okButtonProps={{ disabled: true }}
          onCancel={() => relf.cancelClick()}
          confirmLoading={relf.state.formConfirmLoading}>


        <Row>
        <Col>
          <BirdGrid gridOption={gridOptionsTag} ref={relf.state.gridDatas}></BirdGrid>
          </Col>
      </Row>


        </Modal>


      </div>
    )
  }
}

export default addTag_setting
