import React from 'react';
import { BirdGrid } from 'components/Grid';
import { config,request,util } from 'utils';
import { message } from 'antd';
const { APIV3 } = config

class BirdGridPermissionPage extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }

  
  render() {
    var user = util.auth.getUser();
    let staffid = user.staffid;
    
    let gridOption = {
      title: "批件上传",
      url: {
        read: '/web/upload/getdata?staffid='+staffid,
        edit: '/web/upload/update?staffid='+staffid
      },
      checkable: false,
      actions: [],
      columns: [
        { title: "id", data: "id", type: "number", editor: {ep:'hide',ap:'hide'},hide:true},
        { title: "业务员", data: "userName", type: "text" , editor: {ep:'hide'},query: true},
        { title: "商品名称", data: "goodsName", type: "text" , editor: {ep:'hide'},query: true},
        { title: "批准文号", data: "approvalNo", type: "text" , editor: {ep:'hide'},query: true}, 
        { title: "文件", data: "field_file", type: "files", editor: {} },
        {
          title: "操作选项",
          type: "command",
          // actions: [{
          //   name: '提交',
          //   color: '#67c23a',
          //   onClick: (data) => {
          //     request({
          //       url: APIV3 + '/web/upload/update?staffid='+staffid,
          //       method: "post",
          //       data: data
          //     }).then(function (result) {
          //       if (result.success)
          //         message.success('提交成功');
          //       else
          //         message.error(result.msg);
          //     });
          //   }
          // }]
        }
      ]
    };
    return <BirdGrid gridOption={gridOption} />
  }
}

export default BirdGridPermissionPage
